--SaveFileRef Creation
SaveFileName = sys.get_save_file("Siphonogore", "Siphonogore_Save.txt")
M = sys.load(SaveFileName);
--[[Effects Examples for future use, and their catergories

--Helping
Abnormality <br/>    +300 Fluids +200 Trauma -20 Sinew -20 Bone for 3 actions

--Hurting
Bleed <br/>    -12 HP for 3 actions
Hemorrhage <br/>    Take 30 Damage

--Healing
Regeneration <br/>    +15 HP for 3 actions
Transfusion <br/>    Heal 1.5 x Damage Dealt

--Move influence
Mutated <br/>    Gain Additional Moves
Remission <br/>    Removes Mutated State
Fixation <br/>    PlayerHead for 5 actions
--For being able to attack then lock onto one character
"Fixation <br/>    Target for 5 actions"

--Action Economy
Lethargic <br/>    Increase Fatigue by 1
Agitated <br/>    Decrease Fatigue by 1

Spawn <br/>    Spawn with 50% HP

MoveTemplate = {"[Name]", "[Trauma, Fluids, Heal, Effect]", "[Single Target, Multi Target]", [Number that divides value], {"[Target Effects]"}, "[Enemy, Player, Self]", {"[Self Effects]"}};
--]]

function BiomassTransition(WinType)
	gui.set_enabled(gui.get_node("FadeInOut"), true);
	gui.animate(gui.get_node("FadeInOut"), gui.PROP_COLOR, vmath.vector4(1,1,1,1), gui.EASING_LINEAR, CoverFadeSpeed);
	--Does the math to determine the Biomass Calculation
	M.TotalBiomass = 0;
	M.BiomassDivider = 0;
	if(WinType == "MapSelectorLargeFight")then
		M.TotalBiomass = M.TotalBiomass + 3;
	end
	if(#M.BiomassLevelTargetTable == 0)then
		if(M.HeadActive)then
			table.insert(M.BiomassLevelTargetTable, "PlayerNode1");
			M.BiomassDivider = M.BiomassDivider + 1;
		end
		if(M.LimbsActive)then
			table.insert(M.BiomassLevelTargetTable, "PlayerNode2");
			M.BiomassDivider = M.BiomassDivider + 1;
		end
		if(M.HeartActive)then
			table.insert(M.BiomassLevelTargetTable, "PlayerNode3");
			M.BiomassDivider = M.BiomassDivider + 1;
		end
	else
		if(M.HeadActive)then
			M.BiomassDivider = M.BiomassDivider + 1;
		end
		if(M.LimbsActive)then
			M.BiomassDivider = M.BiomassDivider + 1;
		end
		if(M.HeartActive)then
			M.BiomassDivider = M.BiomassDivider + 1;
		end
	end

	gui.animate(gui.get_node("UIBaseBody"), "position", vmath.vector3(0,-100,0), gui.EASING_OUTBACK, 1);
	OpenLevelValves();
	gui.animate(gui.get_node("UIBaseScalingShadow"), "scale", vmath.vector4(1,680,1,1), gui.EASING_OUTBACK, 1, 0, function()

		gui.animate(gui.get_node("CompleteEnemyData"), gui.PROP_COLOR, vmath.vector4(0,0,0,0), gui.EASING_LINEAR, 0.5);
		gui.animate(gui.get_node("EnemyNode1"), gui.PROP_COLOR, vmath.vector4(0,0,0,0), gui.EASING_LINEAR, 0.5, 0, function()
			gui.set_enabled(gui.get_node("EnemyNode1"), false);
		end);
		gui.animate(gui.get_node("EnemyNode2"), gui.PROP_COLOR, vmath.vector4(0,0,0,0), gui.EASING_LINEAR, 0.5, 0,  function()
			gui.set_enabled(gui.get_node("EnemyNode2"), false);
		end);
		gui.animate(gui.get_node("EnemyNode3"), gui.PROP_COLOR, vmath.vector4(0,0,0,0), gui.EASING_LINEAR, 0.5, 0,  function()
			gui.set_enabled(gui.get_node("EnemyNode3"), false);
		end);
		ChangeRoomAndText("LevelUp");
		sys.save(SaveFileName, M)

		msg.post("/GameScreenScript#GameScreen", "LevelNextCharacter", {CalcedBiomass = CalculateBiomass()});

	end);
end

--Biomass divided by number of living parts, part are added and removed so no need to add anythign extra
--Need to change this to change the character biomass back to 0 afterwards, so i can boost it with a loot and only need to do it once.
function CalculateBiomass()
	local Biomass = 0;
	local LootTable = {};
	local CharBiomass = 0;
	Biomass = M.TotalBiomass/M.BiomassDivider;

	if(M.BiomassLevelTargetTable[1] == "PlayerNode1")then
		LootTable = M.HeadLoot;
		CharBiomass = M.PlayerHeadBiomass;
		--M.PlayerHeadBiomass = 0;
	elseif(M.BiomassLevelTargetTable[1] == "PlayerNode2")then
		LootTable = M.LimbsLoot;
		CharBiomass = M.PlayerLimbsBiomass;
		--M.PlayerLimbsBiomass = 0;
	elseif(M.BiomassLevelTargetTable[1] == "PlayerNode3")then
		LootTable = M.HeartLoot;
		CharBiomass = M.PlayerHeartBiomass;
		--M.PlayerHeartBiomass = 0;
	end
	Biomass = Biomass + CharBiomass;
	if(TableHasEntry(LootTable, hash("Flesh Factory")) ~= false)then
		Biomass = Biomass + 0.4;
	end

	return Biomass;
end

function LevelUp(Character)
	if(Character == "PlayerNode1")then
		if(M.BiomassRemainder <= 0)then
			HeadBiomassLock = 0;
		end
		msg.post("main:/GameSFX#HubOpen", "play_sound");
		gui.play_flipbook(gui.get_node("PlayerHeadData"), "UIInfoHubOpen", function()
			SetLootView(M.RolledLootHead);
		end);
	elseif(Character == "PlayerNode2")then
		if(M.BiomassRemainder <= 0)then
			LimbsBiomassLock = 0;
		end
		msg.post("main:/GameSFX#HubOpen", "play_sound");
		gui.play_flipbook(gui.get_node("PlayerLimbsData"), "UIInfoHubOpen", function()
			SetLootView(M.RolledLootLimbs);
		end);
	elseif(Character == "PlayerNode3")then
		if(M.BiomassRemainder <= 0)then
			HeartBiomassLock = 0;
		end
		msg.post("main:/GameSFX#HubOpen", "play_sound");
		gui.play_flipbook(gui.get_node("PlayerHeartData"), "UIInfoHubOpen", function()
			SetLootView(M.RolledLootHeart);
		end);
	end

end

function RollLootHead(HeadTable)
	local RolledLootHead = {};
	print("Head Level is ", M.PlayerHeadLevel, #M.RolledLootHead, M.RolledLootHead[1])
	--Specialization
	if(#M.RolledLootHead ~= 3)then
		for Count = 1, 3 do
			local rollnum = math.random(#HeadTable);
			table.insert(M.RolledLootHead, HeadTable[rollnum]);
			table.remove(HeadTable, rollnum);
			if(Count == 1)then
				M.LootRep1Desc = DetermineHeadText(M.RolledLootHead[1]);
			elseif(Count == 2)then
				M.LootRep2Desc = DetermineHeadText(M.RolledLootHead[2]);
			elseif(Count == 3)then
				M.LootRep3Desc = DetermineHeadText(M.RolledLootHead[3]);
				sys.save(SaveFileName, M)
			end
		end
	end
end

function RollLootLimbs(LimbsTable)
	local RolledLootLimbs = {};
	--Specialization
	if(#M.RolledLootLimbs ~= 3)then
		for Count = 1, 3 do
			local rollnum = math.random(#LimbsTable);
			table.insert(M.RolledLootLimbs, LimbsTable[rollnum]);
			table.remove(LimbsTable, rollnum);
			if(Count == 1)then
				M.LootRep1Desc = DetermineLimbsText(M.RolledLootLimbs[1]);
			elseif(Count == 2)then
				M.LootRep2Desc = DetermineLimbsText(M.RolledLootLimbs[2]);
			elseif(Count == 3)then
				M.LootRep3Desc = DetermineLimbsText(M.RolledLootLimbs[3]);
				sys.save(SaveFileName, M)
			end
		end
	end
end

function RollLootHeart(HeartTable)
	local RolledLootHeart = {};
	--Specialization
	if(#M.RolledLootHeart ~= 3)then
		for Count = 1, 3 do
			local rollnum = math.random(#HeartTable);
			table.insert(M.RolledLootHeart, HeartTable[rollnum]);
			table.remove(HeartTable, rollnum);
			if(Count == 1)then
				M.LootRep1Desc = DetermineHeartText(M.RolledLootHeart[1]);
			elseif(Count == 2)then
				M.LootRep2Desc = DetermineHeartText(M.RolledLootHeart[2]);
			elseif(Count == 3)then
				M.LootRep3Desc = DetermineHeartText(M.RolledLootHeart[3]);
				sys.save(SaveFileName, M)
			end
		end
	end
end

function SetLootView(LootTable)
	gui.play_flipbook(gui.get_node("LootRep1Selected"), hash("UI Transition Open"), function()
		if(string.find(LootTable[1], "Lv."))then
			gui.play_flipbook(gui.get_node("LootRep1"), LootTable[1]:sub(1,-8));
		else
			gui.play_flipbook(gui.get_node("LootRep1"), LootTable[1]);
		end
		gui.set_enabled(gui.get_node("LootRep1"), true);
		--print("Loot Table Entry is",LootTable[1])
		gui.play_flipbook(gui.get_node("LootRep1Selected"), hash("IconFrameOpenFrame4"));
	end);
	gui.play_flipbook(gui.get_node("LootRep2Selected"), hash("UI Transition Open"), function()
		if(string.find(LootTable[2], "Lv."))then
			gui.play_flipbook(gui.get_node("LootRep2"), LootTable[2]:sub(1,-8));
		else
			gui.play_flipbook(gui.get_node("LootRep2"), LootTable[2]);
		end
		gui.set_enabled(gui.get_node("LootRep2"), true);
		--print("Loot Table Entry is",LootTable[2])
		gui.play_flipbook(gui.get_node("LootRep2Selected"), hash("IconFrameOpenFrame4"));
	end);
	gui.play_flipbook(gui.get_node("LootRep3Selected"), hash("UI Transition Open"), function()
		if(string.find(LootTable[3], "Lv."))then
			gui.play_flipbook(gui.get_node("LootRep3"), LootTable[3]:sub(1,-8));
		else
			gui.play_flipbook(gui.get_node("LootRep3"), LootTable[3]);
		end
		gui.set_enabled(gui.get_node("LootRep3"), true);
		--print("Loot Table Entry is",LootTable[3])
		gui.play_flipbook(gui.get_node("LootRep3Selected"), hash("IconFrameOpenFrame4"));
	end);
	--gui.set_enabled(gui.get_node("BiomassBox"), true);
	gui.set_enabled(gui.get_node("LootTable"), true);
	gui.set_enabled(gui.get_node("ConfirmSelectedLoot"), false);
end

function DetermineHeadText(Mutation)
	local MutData = "";
	--Filter down how many ifs exist via level stuff
	if(M.PlayerHeadLevel == 1)then
		if(Mutation == "Bloodshot")then
			MutData = "Bloodshot [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.HeadFluids, "Fluids", {}, 1, {}, M.HeadLoot);
			MutData = MutData.."<br/>Single Target, Enemy";
			return MutData
		elseif(Mutation == "Luxation")then
			MutData = "Luxation [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> "..ProcessPower(M.HeadTrauma, "Trauma", {}, 0.8, {}, M.HeadLoot);
			MutData = MutData.."<br/>Single Target, Enemy";
			return MutData
		elseif(Mutation == "Polycoria")then
			MutData = "Polycoria [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
			MutData = MutData.."<br/>Single Target, Enemy";
			MutData = MutData.."<br/><size=0.9>Target: -15% Fluids, -15% Trauma (2)</size>";
			return MutData
		elseif(Mutation ==  "Mock Distress")then
			MutData = "Mock Distress [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
			MutData = MutData.."<br/>Single Target, Enemy";
			MutData = MutData.."<br/><size=0.9>Target: Can only attack "..PartHeadName.." (2)</size>";
			return MutData
		elseif(Mutation ==  "Tightened Lid")then
			MutData = "Tightened Lid [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
			MutData = MutData.."<br/>Single Target, Self";
			MutData = MutData.."<br/><size=0.9>Self: +15 Bone +15 Sinew (2)</size>";
			return MutData
		elseif(Mutation ==  "Delirium")then
			MutData = "Delirium [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
			MutData = MutData.."<br/>Single Target, Self";
			MutData = MutData.."<br/><size=0.9>Self: +50 Bone +50 Sinew (1)";
			MutData = MutData.."<br/><size=0.9>Self: Increase Fatigue by 3</size>";
			return MutData
		end

	elseif(M.PlayerHeadLevel == 2)then
		if(Mutation == "Calcified Ducts")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Bone: "..M.HeadBone.." > <color=Upside>"..(M.HeadBone+25).."</color>";
			MutData = MutData.."<br/>Sinew: "..M.HeadSinew.." > <color=Upside>"..(M.HeadSinew+10).."</color>";
			MutData = MutData.."<br/>Fluids: "..M.HeadFluids.." > <color=Downside>"..(M.HeadFluids*0.8).."</color>";
			return MutData
		elseif(Mutation == "Sturdy Tendons")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Bone: "..M.HeadBone.." > <color=Upside>"..(M.HeadBone+10).."</color>";
			MutData = MutData.."<br/>Sinew: "..M.HeadSinew.." > <color=Upside>"..(M.HeadSinew+25).."</color>";
			MutData = MutData.."<br/>Trauma: "..M.HeadTrauma.." > <color=Downside>"..(M.HeadTrauma*0.8).."</color>";
			return MutData
		elseif(Mutation == "Metabolic Lapse")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Bone: "..M.HeadBone.." > <color=Upside>"..(M.HeadBone+20).."</color>";
			MutData = MutData.."<br/>Sinew: "..M.HeadSinew.." > <color=Upside>"..(M.HeadSinew+20).."</color>";
			MutData = MutData.."<br/>Fatigue: "..M.HeadTurnLimit.." > <color=Downside>"..(M.HeadTurnLimit+2).."</color>";
			return MutData
		elseif(Mutation == "Autophagic Response")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Bone: "..M.HeadBone.." > <color=Upside>"..(M.HeadBone+20).."</color>";
			MutData = MutData.."<br/>Sinew: "..M.HeadSinew.." > <color=Upside>"..(M.HeadSinew+20).."</color>";
			MutData = MutData.."<br/>Max HP: "..M.HeadMaxHP.." > <color=Downside>"..(M.HeadMaxHP-(M.HeadMaxHP*0.1)).."</color>";
			if(M.HeadHP - M.HeadMaxHP*0.1 > 1)then
				MutData = MutData.."<br/>Current HP: "..M.HeadHP.." > <color=Downside>"..(M.HeadHP-(M.HeadMaxHP*0.1)).."</color>";
			else
				MutData = MutData.."<br/>Current HP: "..M.HeadHP.." > <color=Downside> 1 </color>";
			end
			return MutData
		elseif(Mutation == "Acidic Tissue")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Sinew: "..M.HeadSinew.." > <color=Upside>"..(M.HeadSinew+70).."</color>";
			MutData = MutData.."<br/>Bone: "..M.HeadBone.." > <color=Downside>"..(M.HeadBone-30).."</color>";
			return MutData
		elseif(Mutation == "Skeletal Overgrowth")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Bone: "..M.HeadBone.." > <color=Upside>"..(M.HeadBone+70).."</color>";
			MutData = MutData.."<br/>Sinew: "..M.HeadSinew.." > <color=Downside>"..(M.HeadSinew-30).."</color>";
			return MutData
		else
			return Mutation..": <br/> Not Handled yet"
		end
		-- For later Levels 
		--elseif(M.PlayerHeadLevel == 3)then

	else
		--Part of the Third-Level work
		if(Mutation:sub(1,-8) == "Bloodshot")then
			if(Mutation == "Bloodshot [Lv.1]")then
				MutData = "Bloodshot [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.HeadFluids, "Fluids", {}, 1, {}, M.HeadLoot);
				MutData = MutData.."<br/>Multi Target, Enemy";
				return MutData
			elseif(Mutation == "Bloodshot [Lv.2]")then
				MutData = "Bloodshot [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Fluids/></size> <color=Downside>"..ProcessPower(M.HeadFluids, "Fluids", {}, 3, {}, M.HeadLoot).."</color>";
				MutData = MutData.."<br/><color=Upside>Multi Target</color>, Enemy";
				--Level2 Data
				return MutData
			elseif(Mutation == "Bloodshot [Lv.3]")then
				MutData = "Bloodshot [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Fluids/></size> <color=Upside>"..ProcessPower(M.HeadFluids, "Fluids", {}, 2.5, {}, M.HeadLoot).."</color>";
				MutData = MutData.."<br/>Multi Target, Enemy";
				MutData = MutData.."<br/><size=0.9><color=Upside>Target: -10 HP </color></size>";
				--Level2 Data
				return MutData
			elseif(Mutation == "Bloodshot [Lv.4]")then
				MutData = "Bloodshot [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Fluids/></size> <color=Upside>"..ProcessPower(M.HeadFluids, "Fluids", {}, 2, {}, M.HeadLoot).."</color>";
				MutData = MutData.."<br/>Multi Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-15</color> HP </size>";
				MutData = MutData.."<br/><size=0.9><color=Upside>Target: -20 Max HP (1)</color></size>";
				--Level2 Data
				return MutData
			elseif(Mutation == "Bloodshot [Lv.5]")then
				MutData = "Bloodshot [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Fluids/></size> <color=Upside>"..ProcessPower(M.HeadFluids, "Fluids", {}, 1.5, {}, M.HeadLoot).."</color>";
				MutData = MutData.."<br/>Multi Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-20</color> HP</size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-40</color> Max HP (1)</size>";
				--Level2 Data
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Luxation")then
			if(Mutation == "Luxation [Lv.1]")then
				MutData = "Luxation [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> "..ProcessPower(M.HeadTrauma, "Trauma", {}, 0.8, {}, M.HeadLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				return MutData
			elseif(Mutation == "Luxation [Lv.2]")then
				MutData = "Luxation [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> <color=Downside>"..ProcessPower(M.HeadTrauma, "Trauma", {}, 0.6, {}, M.HeadLoot).."</color>";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9><color=Downside>Target: Increase Fatigue by 1</color></size>";
				--Level2 Data
				return MutData
			elseif(Mutation == "Luxation [Lv.3]")then
				MutData = "Luxation [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> <color=Downside>"..ProcessPower(M.HeadTrauma, "Trauma", {}, 0.5, {}, M.HeadLoot).."</color>";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: Increase Fatigue by 1</size>";
				--Level2 Data
				return MutData
			elseif(Mutation == "Luxation [Lv.4]")then
				MutData = "Luxation [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> <color=Downside>"..ProcessPower(M.HeadTrauma, "Trauma", {}, 0.4, {}, M.HeadLoot).."</color>";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: Increase Fatigue by <color=Downside>2</color></size>";
				--Level2 Data
				return MutData
			elseif(Mutation == "Luxation [Lv.5]")then
				MutData = "Luxation [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> <color=Downside>"..ProcessPower(M.HeadTrauma, "Trauma", {}, 0.3, {}, M.HeadLoot).."</color>";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: Increase Fatigue by 2</size>";
				--Level2 Data
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Polycoria")then
			if(Mutation == "Polycoria [Lv.1]")then
				MutData = "Polycoria [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: -15% Fluids, -15% Trauma (2)</size>";
				return MutData
			elseif(Mutation ==  "Polycoria [Lv.2]")then
				MutData = "Polycoria [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: -15% Fluids, -15% Trauma (2)</size>";
				MutData = MutData.."<br/><size=0.9><color=Upside>Target: -10% Fluids, -10% Trauma (1)</color></size>";
				return MutData
			elseif(Mutation ==  "Polycoria [Lv.3]")then
				MutData = "Polycoria [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: -15% Fluids, -15% Trauma (2)</size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-15%</color> Fluids, <color=Upside>-15%</color> Trauma (1)</size>";
				return MutData
			elseif(Mutation ==  "Polycoria [Lv.4]")then
				MutData = "Polycoria [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: -15% Fluids, -15% Trauma (2)</size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-20%</color> Fluids, <color=Upside>-20%</color> Trauma (1)</size>";
				return MutData
			elseif(Mutation ==  "Polycoria [Lv.5]")then
				MutData = "Polycoria [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: -15% Fluids, -15% Trauma (2)</size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-25%</color> Fluids, <color=Upside>-25%</color> Trauma (1)</size>";
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Mock Distress")then
			if(Mutation ==  "Mock Distress [Lv.1]")then
				MutData = "Mock Distress [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: Can only attack "..PartHeadName.." (2)</size>";
				return MutData
			elseif(Mutation ==  "Mock Distress [Lv.2]")then
				MutData = "Mock Distress [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: Can only attack "..PartHeadName.." (2)</size>";
				MutData = MutData.."<br/><size=0.9><color=Upside>Target: +10 HP each action (2)</color></size>";
				return MutData
			elseif(Mutation ==  "Mock Distress [Lv.3]")then
				MutData = "Mock Distress [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: Can only attack "..PartHeadName.." <color=Upside>(3)</color></size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>+15</color> HP each action (2)</size>";
				return MutData
			elseif(Mutation ==  "Mock Distress [Lv.4]")then
				MutData = "Mock Distress [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: Can only attack "..PartHeadName.." (3)</size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>+20</color> HP each action (2)</size>";
				return MutData
			elseif(Mutation ==  "Mock Distress [Lv.5]")then
				MutData = "Mock Distress [Lv.5]:";
				MutData = MutData.."<br/><size=0.9>Target: Can only attack "..PartHeadName.." <color=Upside>(4)</color></size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>+25</color> HP each action (2)</size>";
				--Level2 Data
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Tightened Lid")then
			if(Mutation ==  "Tightened Lid [Lv.1]")then
				MutData = "Tightened Lid [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: +15 Bone +15 Sinew (2)</size>";
				return MutData
			elseif(Mutation ==  "Tightened Lid [Lv.2]")then
				MutData = "Tightened Lid [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+20</color> Bone <color=Upside>+20</color> Sinew (2)</size>";
				return MutData
			elseif(Mutation ==  "Tightened Lid [Lv.3]")then
				MutData = "Tightened Lid [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: +20 Bone +15 Sinew <color=Upside>(3)</color></size>";
				return MutData
			elseif(Mutation ==  "Tightened Lid [Lv.4]")then
				MutData = "Tightened Lid [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+25</color> Bone <color=Upside>+25</color> Sinew (3)</size>";
				return MutData
			elseif(Mutation ==  "Tightened Lid [Lv.5]")then
				MutData = "Tightened Lid [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, <color=Upside>Player</color>";
				MutData = MutData.."<br/><size=0.9>Self: +25 Bone +25 Sinew (3)</size>";
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Delirium")then
			if(Mutation ==  "Delirium [Lv.1]")then
				MutData = "Delirium [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: +50 Bone +50 Sinew (1)";
				MutData = MutData.."<br/><size=0.9>Self: Increase Fatigue by 3</size>";
				return MutData
			elseif(Mutation ==  "Delirium [Lv.2]")then
				MutData = "Delirium [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+55</color> Bone <color=Upside>+55</color> Sinew (1)";
				MutData = MutData.."<br/><size=0.9>Self: Increase Fatigue by <color=Upside>2</color></size>";
				return MutData
			elseif(Mutation ==  "Delirium [Lv.3]")then
				MutData = "Delirium [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+60</color> Bone <color=Upside>+60</color> Sinew (1)";
				MutData = MutData.."<br/><size=0.9>Self: Increase Fatigue by <color=Upside>1</color></size>";
				return MutData
			elseif(Mutation ==  "Delirium [Lv.4]")then
				MutData = "Delirium [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:<color=Upside>Heal</color>/></size> <color=Upside>"..ProcessPower(M.HeadHealing, "Ichor", {}, 0.8, {}, M.HeadLoot).."</color>";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+65</color> Bone <color=Upside>+65</color> Sinew (1)";
				return MutData
			elseif(Mutation ==  "Delirium [Lv.5]")then
				MutData = "Delirium [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Heal/></size> <color=Upside>"..ProcessPower(M.HeadHealing, "Ichor", {}, 0.5, {}, M.HeadLoot).."</color>";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+70</color> Bone <color=Upside>+70</color> Sinew (1)";
				return MutData
			end
		end
	end
end

function DetermineLimbsText(Mutation)
	print(Mutation)
	--Filter down how many ifs exist via level stuff
	if(M.PlayerLimbsLevel == 1)then
		if(Mutation == "Bile Bomb")then
			MutData = "Bile Bomb [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.LimbsFluids, "Fluids", {}, 0.8, {}, M.LimbsLoot);
			MutData = MutData.."<br/>Single Target, Enemy";
			return MutData
		elseif(Mutation == "Finger Gun")then
			MutData = "Finger Gun [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> "..ProcessPower(M.LimbsTrauma, "Trauma", {}, 1, {}, M.LimbsLoot);
			MutData = MutData.."<br/>Single Target, Enemy";
			return MutData
		elseif(Mutation == "Bone Splinter")then
			MutData = "Bone Splinter [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
			MutData = MutData.."<br/>Single Target, Enemy";
			MutData = MutData.."<br/><size=0.9>Target: -20 HP each action (3)</size>";
			return MutData
		elseif(Mutation ==  "Predation")then
			MutData = "Predation [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
			MutData = MutData.."<br/>Single Target, Enemy";
			MutData = MutData.."<br/><size=0.9>Self: +20% Fluids, +20% Trauma (3)</size>";
			MutData = MutData.."<br/><size=0.9>Self: Can only attack Target (3)</size>";
			return MutData
		elseif(Mutation ==  "Blood Oath")then
			MutData = "Blood Oath [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
			MutData = MutData.."<br/>Single Target, Self";
			MutData = MutData.."<br/><size=0.9>Self: +140% Fluids, +140% Trauma (1)</size>";
			MutData = MutData.."<br/><size=0.9>Self: -10 HP each action (3)</size>";
			return MutData
		elseif(Mutation ==  "Vampiric Veins")then
			MutData = "Vampiric Veins [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size>"..ProcessPower(M.LimbsTrauma, "Trauma", {}, 3, {}, M.LimbsLoot).." <size=0.5><img=GameScreen:Fluids/></size>"..ProcessPower(M.LimbsFluids, "Fluids", {}, 3, {}, M.LimbsLoot);
			MutData = MutData.."<br/>Single Target, Enemy";
			MutData = MutData.."<br/><size=0.9>Self: Heal 1.20x Damage Dealt";
			MutData = MutData.."<br/><size=0.9>Target: -20 Max HP (2)</size>";
			return MutData

		elseif(Mutation ==  "OtherMove")then

		end

	elseif(M.PlayerLimbsLevel == 2)then
		if(Mutation == "Lubricated Joints")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Fatigue: "..M.LimbsTurnLimit.." > <color=Upside>"..(M.LimbsTurnLimit-1).."</color>";
			MutData = MutData.."<br/>Trauma: "..M.LimbsTrauma.." > <color=Downside>"..(M.LimbsTrauma*.4).."</color>";
			MutData = MutData.."<br/>Fluids: "..M.LimbsFluids.." > <color=Downside>"..(M.LimbsFluids*.4).."</color>";
			return MutData
		elseif(Mutation == "Digestible Chitin")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Fluids: "..M.LimbsFluids.." > <color=Upside>"..(M.LimbsFluids*1.6).."</color>";
			MutData = MutData.."<br/>Trauma: "..M.LimbsTrauma.." > <color=Upside>"..(M.LimbsTrauma*1.2).."</color>";
			MutData = MutData.."<br/>Bone: "..M.LimbsBone.." > <color=Downside>"..(M.LimbsBone-25).."</color>";
			return MutData
		elseif(Mutation == "Slow Twitch Fibers")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Trauma: "..M.LimbsTrauma.." > <color=Upside>"..(M.LimbsTrauma*2).."</color>";
			MutData = MutData.."<br/>Fatigue: "..M.LimbsTurnLimit.." > <color=Downside>"..(M.LimbsTurnLimit+1).."</color>";
			return MutData
		elseif(Mutation == "Autocannibalism")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Fluids: "..M.LimbsFluids.." > <color=Upside>"..(M.LimbsFluids*1.6).."</color>";
			MutData = MutData.."<br/>Trauma: "..M.LimbsTrauma.." > <color=Upside>"..(M.LimbsTrauma*1.6).."</color>";
			MutData = MutData.."<br/>Max HP: "..M.LimbsMaxHP.." > <color=Downside>"..(M.LimbsMaxHP-100).."</color>";
			if(M.LimbsHP - 100 > 1)then
				MutData = MutData.."<br/>Current HP: "..M.LimbsHP.." > <color=Downside>"..(M.LimbsHP-100).."</color>";
			else
				MutData = MutData.."<br/>Current HP: "..M.LimbsHP.." > <color=Downside> 1 </color>";
			end
			return MutData
		elseif(Mutation == "Open Fracture")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Trauma: "..M.LimbsTrauma.." > <color=Upside>"..(M.LimbsTrauma*1.6).."</color>";
			MutData = MutData.."<br/>Fluids: "..M.LimbsFluids.." > <color=Upside>"..(M.LimbsFluids*1.2).."</color>";
			MutData = MutData.."<br/>Sinew: "..M.LimbsSinew.." > <color=Downside>"..(M.LimbsSinew-25).."</color>";
			return MutData
		elseif(Mutation == "Gastric Overproduction")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Fluids: "..M.LimbsFluids.." > <color=Upside>"..(M.LimbsFluids*2).."</color>";
			MutData = MutData.."<br/>Fatigue: "..M.LimbsTurnLimit.." > <color=Downside>"..(M.LimbsTurnLimit+1).."</color>";
			return MutData
		else
			return Mutation..": <br/> Not Handled yet"
		end
	else
		--Part of the Third-Level work
		if(Mutation:sub(1,-8) == "Bile Bomb")then
			if(Mutation == "Bile Bomb [Lv.1]")then
				MutData = "Bile Bomb [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.LimbsFluids, "Fluids", {}, 0.8, {}, M.LimbsLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				return MutData
			elseif(Mutation == "Bile Bomb [Lv.2]")then
				MutData = "Bile Bomb [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.LimbsFluids, "Fluids", {}, 0.8, {}, M.LimbsLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9><color=Upside>Target: -10 Sinew (2)</color> </size>";
				return MutData
			elseif(Mutation == "Bile Bomb [Lv.3]")then
				MutData = "Bile Bomb [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.LimbsFluids, "Fluids", {}, 0.7, {}, M.LimbsLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-15</color> Sinew <color=Upside>-5 Bone </color> (2)</size>";
				--Level2 Data
				return MutData
			elseif(Mutation == "Bile Bomb [Lv.4]")then
				MutData = "Bile Bomb [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.LimbsFluids, "Fluids", {}, 0.7, {}, M.LimbsLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-20</color> Sinew <color=Upside>-15 Bone </color> (2)</size>";
				--Level2 Data
				return MutData
			elseif(Mutation == "Bile Bomb [Lv.5]")then
				MutData = "Bile Bomb [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.LimbsFluids, "Fluids", {}, 0.6, {}, M.LimbsLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-25</color> Sinew <color=Upside>-25 Bone </color> (2)</size>";
				--Level2 Data
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Finger Gun")then
			if(Mutation == "Finger Gun [Lv.1]")then
				MutData = "Finger Gun [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> "..ProcessPower(M.LimbsTrauma, "Trauma", {}, 1, {}, M.LimbsLoot);
				MutData = MutData.."<br/>Single Target, Enemy";

				return MutData
			elseif(Mutation == "Finger Gun [Lv.2]")then
				MutData = "Finger Gun [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> <color=Downside>"..ProcessPower(M.LimbsTrauma, "Trauma", {}, 1.1, {}, M.LimbsLoot).."</color>";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9><color=Upside>Target: -5 HP each action (10)</color></size>";
				return MutData
			elseif(Mutation == "Finger Gun [Lv.3]")then
				MutData = "Finger Gun [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> <color=Downside>"..ProcessPower(M.LimbsTrauma, "Trauma", {}, 1.21, {}, M.LimbsLoot).."</color>";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-6</color> HP each action (10)</size>";
				return MutData
			elseif(Mutation == "Finger Gun [Lv.4]")then
				MutData = "Finger Gun [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> <color=Downside>"..ProcessPower(M.LimbsTrauma, "Trauma", {}, 1.31, {}, M.LimbsLoot).."</color>";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-7</color> HP each action (10)</size>";
				return MutData
			elseif(Mutation == "Finger Gun [Lv.5]")then
				MutData = "Finger Gun [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> <color=Downside>"..ProcessPower(M.LimbsTrauma, "Trauma", {}, 1.42, {}, M.LimbsLoot).."</color>";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-8</color> HP each action (10)</size>";
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Bone Splinter")then
			if(Mutation == "Bone Splinter [Lv.1]")then
				MutData = "Bone Splinter [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: -20 HP each action (3)</size>";
				return MutData
			elseif(Mutation ==  "Bone Splinter [Lv.2]")then
				MutData = "Bone Splinter [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-25</color> HP each action (3)</size>";
				return MutData
			elseif(Mutation ==  "Bone Splinter [Lv.3]")then
				MutData = "Bone Splinter [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-30</color> HP each action (3)</size>";
				return MutData
			elseif(Mutation ==  "Bone Splinter [Lv.4]")then
				MutData = "Bone Splinter [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-35</color> HP each action (3)</size>";
				return MutData
			elseif(Mutation ==  "Bone Splinter [Lv.5]")then
				MutData = "Bone Splinter [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-40</color> HP each action (3)</size>";
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Predation")then
			if(Mutation ==  "Predation [Lv.1]")then
				MutData = "Predation [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Self: +20% Fluids, +20% Trauma (3)</size>";
				MutData = MutData.."<br/><size=0.9>Self: Can only attack Target (3)</size>";
				return MutData
			elseif(Mutation ==  "Predation [Lv.2]")then
				MutData = "Predation [Lv.2]:";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+25%</color> Fluids, <color=Upside>+25%</color> Trauma (3)</size>";
				MutData = MutData.."<br/><size=0.9>Self: Can only attack Target (3)</size>";
				return MutData
			elseif(Mutation ==  "Predation [Lv.3]")then
				MutData = "Predation [Lv.3]:";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+30%</color> Fluids, <color=Upside>+30%</color> Trauma (3)</size>";
				MutData = MutData.."<br/><size=0.9>Self: Can only attack Target <color=Upside>(2)</color></size>";
				return MutData
			elseif(Mutation ==  "Predation [Lv.4]")then
				MutData = "Predation [Lv.4]:";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+35%</color> Fluids, <color=Upside>+35%</color> Trauma (3)</size>";
				MutData = MutData.."<br/><size=0.9>Self: Can only attack Target (2)</size>";
				return MutData
			elseif(Mutation ==  "Predation [Lv.5]")then
				MutData = "Predation [Lv.5]:";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+40%</color> Fluids, <color=Upside>+40%</color> Trauma (3)</size>";
				MutData = MutData.."<br/><size=0.9>Self: Can only attack Target <color=Upside>(1)</color></size>";
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Blood Oath")then
			if(Mutation ==  "Blood Oath [Lv.1]")then
				MutData = "Blood Oath [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: +140% Fluids, +140% Trauma (1)</size>";
				MutData = MutData.."<br/><size=0.9>Self: -10 HP each action (3)</size>";
				return MutData
			elseif(Mutation ==  "Blood Oath [Lv.2]")then
				MutData = "Blood Oath [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+155%</color> Fluids, <color=Upside>+155%</color> Trauma (1)</size>";
				MutData = MutData.."<br/><size=0.9>Self: -10 HP each action (3)</size>";
				return MutData
			elseif(Mutation ==  "Blood Oath [Lv.3]")then
				MutData = "Blood Oath [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+170%</color> Fluids, <color=Upside>+170%</color> Trauma (1)</size>";
				MutData = MutData.."<br/><size=0.9>Self: -10 HP each action <color=Downside>(4)</color></size>";
				return MutData
			elseif(Mutation ==  "Blood Oath [Lv.4]")then
				MutData = "Blood Oath [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, Self";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+185%</color> Fluids, <color=Upside>+185%</color> Trauma (1)</size>";
				MutData = MutData.."<br/><size=0.9>Self: -10 HP each action (4)</size>";
				return MutData
			elseif(Mutation ==  "Blood Oath [Lv.5]")then
				MutData = "Blood Oath [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, <color=Upside>Enemy</color>";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+200%</color> Fluids, <color=Upside>+200%</color> Trauma (1)</size>";
				MutData = MutData.."<br/><size=0.9>Self: -10 HP each action <color=Upside>(5)</color></size>";
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Vampiric Veins")then
			if(Mutation ==  "Vampiric Veins [Lv.1]")then
				MutData = "Vampiric Veins [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size>"..ProcessPower(M.LimbsTrauma, "Trauma", {}, 3, {}, M.LimbsLoot).." <size=0.5><img=GameScreen:Fluids/></size>"..ProcessPower(M.LimbsFluids, "Fluids", {}, 3, {}, M.LimbsLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Self: Heal 1.20x Damage Dealt";
				MutData = MutData.."<br/><size=0.9>Target: -20 Max HP (2)</size>";
				return MutData
			elseif(Mutation ==  "Vampiric Veins [Lv.2]")then
				MutData = "Vampiric Veins [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size>"..ProcessPower(M.LimbsTrauma, "Trauma", {}, 3, {}, M.LimbsLoot).." <size=0.5><img=GameScreen:Fluids/></size>"..ProcessPower(M.LimbsFluids, "Fluids", {}, 3, {}, M.LimbsLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Self: Heal <color=Upside>1.25x</color> Damage Dealt";
				MutData = MutData.."<br/><size=0.9>Target: -20 Max HP <color=Upside>(4)</color></size>";
				return MutData
			elseif(Mutation ==  "Vampiric Veins [Lv.3]")then
				MutData = "Vampiric Veins [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size>"..ProcessPower(M.LimbsTrauma, "Trauma", {}, 3, {}, M.LimbsLoot).." <size=0.5><img=GameScreen:Fluids/></size>"..ProcessPower(M.LimbsFluids, "Fluids", {}, 3, {}, M.LimbsLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Self: Heal <color=Upside>1.30x</color> Damage Dealt";
				MutData = MutData.."<br/><size=0.9>Target: -20 Max HP <color=Upside>(6)</color></size>";
				return MutData
			elseif(Mutation ==  "Vampiric Veins [Lv.4]")then
				MutData = "Vampiric Veins [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size>"..ProcessPower(M.LimbsTrauma, "Trauma", {}, 3, {}, M.LimbsLoot).." <size=0.5><img=GameScreen:Fluids/></size>"..ProcessPower(M.LimbsFluids, "Fluids", {}, 3, {}, M.LimbsLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Self: Heal <color=Upside>1.35x</color> Damage Dealt";
				MutData = MutData.."<br/><size=0.9>Target: -20 Max HP <color=Upside>(8)</color></size>";
				return MutData
			elseif(Mutation ==  "Vampiric Veins [Lv.5]")then
				MutData = "Vampiric Veins [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size>"..ProcessPower(M.LimbsTrauma, "Trauma", {}, 3, {}, M.LimbsLoot).." <size=0.5><img=GameScreen:Fluids/></size>"..ProcessPower(M.LimbsFluids, "Fluids", {}, 3, {}, M.LimbsLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Self: Heal <color=Upside>1.40x</color> Damage Dealt";
				MutData = MutData.."<br/><size=0.9>Target: -20 Max HP <color=Upside>(10)</color></size>";
				return MutData
			end
		end
	end
end

function DetermineHeartText(Mutation)
	--Filter down how many ifs exist via level stuff
	if(M.PlayerHeartLevel == 1)then
		if(Mutation == "Hypertensive Crisis")then
			MutData = "Hypertensive Crisis [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> "..ProcessPower(M.HeartTrauma/2, "Trauma", {}, 1, {}, M.HeartLoot).."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.HeartFluids/2, "Fluids", {}, 1, {}, M.HeartLoot);
			MutData = MutData.."<br/>Single Target, Enemy";
			return MutData
		elseif(Mutation == "Palpitate")then
			MutData = "Palpitate [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Heal/></size> "..ProcessPower(M.HeartHealing, "Ichor", {}, 1, {}, M.HeartLoot);
			MutData = MutData.."<br/>Single Target, Player";
			return MutData
		elseif(Mutation == "Tachycardia")then
			MutData = "Tachycardia [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
			MutData = MutData.."<br/>Multi Target, Player";
			MutData = MutData.."<br/><size=0.9>Targets: -2 Fatigue </size>";
			MutData = MutData.."<br/><size=0.9>Self: -30 HP </size>";
			return MutData
		elseif(Mutation ==  "Heart Burn")then
			MutData = "Heart Burn [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
			MutData = MutData.."<br/>Single Target, All Characters";
			MutData = MutData.."<br/><size=0.9>Target: -40 HP </size>";
			MutData = MutData.."<br/><size=0.9>Target: +20 HP each action (4)</size>";
			return MutData
		elseif(Mutation ==  "Martyrdom")then
			MutData = "Martyrdom [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Heal/></size> "..(M.HeartHealing/0.8);
			MutData = MutData.."<br/>Single Target, Player";
			MutData = MutData.."<br/><size=0.9>Target: Set a Dead Part to 30% HP</size>";
			MutData = MutData.."<br/><size=0.9>Self: -100 HP</size>";
			return MutData
		elseif(Mutation ==  "Hypertrophy")then
			MutData = "Hypertrophy [Lv.1]:";
			MutData = MutData.."<br/><size=0.5><img=GameScreen:Heal/></size> "..(M.HeartHealing/4);
			MutData = MutData.."<br/>Single Target, Player";
			MutData = MutData.."<br/><size=0.9>Target: +60 Max HP (2)</size>";
			return MutData
		elseif(Mutation ==  "OtherMove")then

		end

	elseif(M.PlayerHeartLevel == 2)then
		if(Mutation == "Heavy Flow")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Ichor: "..M.HeartHealing.." > <color=Upside>"..(M.HeartHealing*1.5).."</color>";
			MutData = MutData.."<br/>Fatigue: "..M.HeartTurnLimit.." > <color=Downside>"..(M.HeartTurnLimit+1).."</color>";
			return MutData
		elseif(Mutation == "Discarded Atrium")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Fatigue: "..M.HeartTurnLimit.." > <color=Upside>"..(M.HeartTurnLimit-1).."</color>";
			MutData = MutData.."<br/>Ichor: "..M.HeartHealing.." > <color=Downside>"..(M.HeartHealing/2).."</color>";
			return MutData
		elseif(Mutation == "Tightened Valve")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Max HP: "..M.HeartMaxHP.." > <color=Upside>"..(M.HeartMaxHP+200).."</color>";
			MutData = MutData.."<br/>Current HP: "..M.HeartHP.." > <color=Upside>"..(M.HeartHP+200).."</color>";
			MutData = MutData.."<br/>Ichor: "..M.HeartHealing.." > <color=Downside>"..(M.HeartHealing/2).."</color>";
			return MutData
		elseif(Mutation == "Ichor Hypersynthesis")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Ichor: "..M.HeartHealing.." > <color=Upside>"..(M.HeartHealing*1.5).."</color>";
			MutData = MutData.."<br/>Max HP: "..M.HeartMaxHP.." > <color=Downside>"..(M.HeartMaxHP-100).."</color>";
			if(M.HeartHP - 100 > 1)then
				MutData = MutData.."<br/>Current HP: "..M.HeartHP.." > <color=Downside>"..(M.HeartHP-100).."</color>";
			else
				MutData = MutData.."<br/>Current HP: "..M.HeartHP.." > <color=Downside> 1 </color>";
			end
			return MutData
		elseif(Mutation == "Pacifist Gene")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Ichor: "..M.HeartHealing.." > <color=Upside>"..(M.HeartHealing*1.75).."</color>";
			MutData = MutData.."<br/>Fluids: "..M.HeartFluids.." > <color=Downside>"..(M.HeartFluids*.4).."</color>";
			MutData = MutData.."<br/>Trauma: "..M.HeartTrauma.." > <color=Downside>"..(M.HeartTrauma*.4).."</color>";
			return MutData
		elseif(Mutation == "Enlarged Chambers")then
			MutData = Mutation..":";
			MutData = MutData.."<br/>Max HP: "..M.HeartMaxHP.." > <color=Upside>"..(M.HeartMaxHP+100).."</color>";
			MutData = MutData.."<br/>Current HP: "..M.HeartHP.." > <color=Upside>"..(M.HeartHP+100).."</color>";
			MutData = MutData.."<br/>Sinew: "..M.HeartSinew.." > <color=Downside>"..(M.HeartSinew-15).."</color>";
			MutData = MutData.."<br/>Bone: "..M.HeartBone.." > <color=Downside>"..(M.HeartBone-15).."</color>";
			return MutData
		else
			return Mutation..": <br/> Not Handled yet"
		end
	else
		--Part of the Third-Level work
		if(Mutation:sub(1,-8) == "Hypertensive Crisis")then
			if(Mutation == "Hypertensive Crisis [Lv.1]")then
				MutData = "Hypertensive Crisis [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> "..ProcessPower(M.HeartTrauma/2, "Trauma", {}, 1, {}, M.HeartLoot).."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.HeartFluids/2, "Fluids", {}, 1, {}, M.HeartLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				return MutData
			elseif(Mutation == "Hypertensive Crisis [Lv.2]")then
				MutData = "Hypertensive Crisis [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> "..ProcessPower(M.HeartTrauma/2, "Trauma", {}, 1, {}, M.HeartLoot).."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.HeartFluids/2, "Fluids", {}, 1, {}, M.HeartLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9><color=Upside>Self: Heal 0.35 Damage Dealt</color></size>";
				return MutData
			elseif(Mutation == "Hypertensive Crisis [Lv.3]")then
				MutData = "Hypertensive Crisis [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> "..ProcessPower(M.HeartTrauma/2, "Trauma", {}, 1, {}, M.HeartLoot).."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.HeartFluids/2, "Fluids", {}, 1, {}, M.HeartLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Self: Heal <color=Upside>0.40</color> Damage Dealt</size>";
				MutData = MutData.."<br/><size=0.9><color=Upside>Self: +25% Ichor (1)</color></size>";
				return MutData
			elseif(Mutation == "Hypertensive Crisis [Lv.4]")then
				MutData = "Hypertensive Crisis [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> "..ProcessPower(M.HeartTrauma/2, "Trauma", {}, 1, {}, M.HeartLoot).."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.HeartFluids/2, "Fluids", {}, 1, {}, M.HeartLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Self: Heal <color=Upside>0.45</color> Damage Dealt</size>";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+50%</color> Ichor (1)</size>";
				return MutData
			elseif(Mutation == "Hypertensive Crisis [Lv.5]")then
				MutData = "Hypertensive Crisis [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Trauma/></size> "..ProcessPower(M.HeartTrauma/2, "Trauma", {}, 1, {}, M.HeartLoot).."<br/><size=0.5><img=GameScreen:Fluids/></size> "..ProcessPower(M.HeartFluids/2, "Fluids", {}, 1, {}, M.HeartLoot);
				MutData = MutData.."<br/>Single Target, Enemy";
				MutData = MutData.."<br/><size=0.9>Self: Heal <color=Upside>0.50</color> Damage Dealt</size>";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+75%</color> Ichor (1)</size>";
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Palpitate")then
			if(Mutation ==  "Palpitate [Lv.1]")then
				MutData = "Palpitate [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Heal/></size> "..ProcessPower(M.HeartHealing, "Ichor", {}, 1, {}, M.HeartLoot);
				MutData = MutData.."<br/>Single Target, Player";
				return MutData
			elseif(Mutation ==  "Palpitate [Lv.2]")then
				MutData = "Palpitate [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Heal/></size> "..ProcessPower(M.HeartHealing, "Ichor", {}, 1, {}, M.HeartLoot);
				MutData = MutData.."<br/>Single Target, Player";
				MutData = MutData.."<br/><size=0.9><color=Upside>Self: +10 HP each action (3)</color></size>";
				return MutData
			elseif(Mutation ==  "Palpitate [Lv.3]")then
				MutData = "Palpitate [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Heal/></size> <color=Downside>"..ProcessPower(M.HeartHealing, "Ichor", {}, 2, {}, M.HeartLoot).."</color>";
				MutData = MutData.."<br/><color=Upside>Multi Target</color> , Player";
				MutData = MutData.."<br/><size=0.9>Self: +10 HP each action (3)</size>";
				--Level2 Data
				return MutData
			elseif(Mutation ==  "Palpitate [Lv.4]")then
				MutData = "Palpitate [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Heal/></size> "..ProcessPower(M.HeartHealing, "Ichor", {}, 2, {}, M.HeartLoot);
				MutData = MutData.."<br/>Multi Target, Player";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+15</color> HP each action (3)</size>";
				return MutData
			elseif(Mutation ==  "Palpitate [Lv.5]")then
				MutData = "Palpitate [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Heal/></size> <color=Upside>"..ProcessPower(M.HeartHealing, "Ichor", {}, 1.35, {}, M.HeartLoot).."</color>";
				MutData = MutData.."<br/>Multi Target, Player";
				MutData = MutData.."<br/><size=0.9>Self: +15 HP each action (3)</size>";
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Tachycardia")then
			if(Mutation ==  "Tachycardia [Lv.1]")then
				MutData = "Tachycardia [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Multi Target, Player";
				MutData = MutData.."<br/><size=0.9>Targets: -2 Fatigue </size>";
				MutData = MutData.."<br/><size=0.9>Self: -30 HP </size>";
				return MutData
			elseif(Mutation ==  "Tachycardia [Lv.2]")then
				MutData = "Tachycardia [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Multi Target, Player";
				MutData = MutData.."<br/><size=0.9>Targets: -2 Fatigue </size>";
				MutData = MutData.."<br/><size=0.9><color=Upside>Self: +10% Fluids, +10%Trauma (1)</color> </size>";
				MutData = MutData.."<br/><size=0.9>Self: -30 HP </size>";
				return MutData
			elseif(Mutation ==  "Tachycardia [Lv.3]")then
				MutData = "Tachycardia [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Multi Target, Player";
				MutData = MutData.."<br/><size=0.9>Targets: -2 Fatigue </size>";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+15%</color> Fluids, <color=Upside>+15%</color> Trauma (1)</size>";
				MutData = MutData.."<br/><size=0.9>Self: -30 HP </size>";
				return MutData
			elseif(Mutation ==  "Tachycardia [Lv.4]")then
				MutData = "Tachycardia [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Multi Target, Player";
				MutData = MutData.."<br/><size=0.9>Targets: -2 Fatigue </size>";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>+20%</color> Fluids, <color=Upside>+20%</color> Trauma (1)</size>";
				MutData = MutData.."<br/><size=0.9>Self: -30 HP </size>";
				return MutData
			elseif(Mutation ==  "Tachycardia [Lv.5]")then
				MutData = "Tachycardia [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Multi Target, Player";
				MutData = MutData.."<br/><size=0.9>Targets: -2 Fatigue </size>";
				MutData = MutData.."<br/><size=0.9>Self: +20% Fluids, +20% Trauma <color=Upside>(2)</color></size>";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>-20</color> HP </size>";
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Heart Burn")then
			if(Mutation ==  "Heart Burn [Lv.1]")then
				MutData = "Heart Burn [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, All Characters";
				MutData = MutData.."<br/><size=0.9>Target: -40 HP </size>";
				MutData = MutData.."<br/><size=0.9>Target: +20 HP each action (4)</size>";
				return MutData
			elseif(Mutation ==  "Heart Burn [Lv.2]")then
				MutData = "Heart Burn [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, All Characters";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-45</color> HP </size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>+25</color> HP each action (4)</size>";
				return MutData
			elseif(Mutation ==  "Heart Burn [Lv.3]")then
				MutData = "Heart Burn [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, All Characters";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-50</color> HP </size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>+30</color> HP each action (4)</size>";
				return MutData
			elseif(Mutation ==  "Heart Burn [Lv.4]")then
				MutData = "Heart Burn [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, All Characters";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-55</color> HP </size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>+35</color> HP each action (4)</size>";
				return MutData
			elseif(Mutation ==  "Heart Burn [Lv.5]")then
				MutData = "Heart Burn [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Effect";
				MutData = MutData.."<br/>Single Target, All Characters";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>-60</color> HP </size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>+40</color> HP each action (4)</size>";
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Martyrdom")then
			if(Mutation ==  "Martyrdom [Lv.1]")then
				MutData = "Martyrdom [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Heal "..(M.HeartHealing/0.8);
				MutData = MutData.."<br/>Single Target, Player";
				MutData = MutData.."<br/><size=0.9>Target: Set a Dead Part to 30% HP</size>";
				MutData = MutData.."<br/><size=0.9>Self: -100 HP</size>";
				return MutData
			elseif(Mutation ==  "Martyrdom [Lv.2]")then
				MutData = "Martyrdom [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Heal <color=Upside>"..(M.HeartHealing/0.7).."</color>";
				MutData = MutData.."<br/>Single Target, Player";
				MutData = MutData.."<br/><size=0.9>Target: Set a Dead Part to <color=Upside>40%</color> HP</size>";
				MutData = MutData.."<br/><size=0.9>Self: -100 HP</size>";
				return MutData
			elseif(Mutation ==  "Martyrdom [Lv.3]")then
				MutData = "Martyrdom [Lv.3]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Heal <color=Upside>"..(M.HeartHealing/0.6).."</color>";
				MutData = MutData.."<br/>Single Target, Player";
				MutData = MutData.."<br/><size=0.9>Target: Set a Dead Part to <color=Upside>50%</color> HP</size>";
				MutData = MutData.."<br/><size=0.9>Self: -100 HP</size>";
				return MutData
			elseif(Mutation ==  "Martyrdom [Lv.4]")then
				MutData = "Martyrdom [Lv.4]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Heal "..(M.HeartHealing/0.6);
				MutData = MutData.."<br/>Single Target, Player";
				MutData = MutData.."<br/><size=0.9>Target: Set a Dead Part to 50% HP</size>";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>-80</color> HP</size>";
				return MutData
			elseif(Mutation ==  "Martyrdom [Lv.5]")then
				MutData = "Martyrdom [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Heal "..(M.HeartHealing/0.6);
				MutData = MutData.."<br/>Single Target, Player";
				MutData = MutData.."<br/><size=0.9>Target: Set a Dead Part to 50% HP</size>";
				MutData = MutData.."<br/><size=0.9>Self: <color=Upside>-60</color> HP</size>";
				return MutData
			end
		elseif(Mutation:sub(1,-8) == "Hypertrophy")then
			if(Mutation ==  "Hypertrophy [Lv.1]")then
				MutData = "Hypertrophy [Lv.1]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Heal "..(M.HeartHealing/4);
				MutData = MutData.."<br/>Single Target, Player";
				MutData = MutData.."<br/><size=0.9>Target: +60 HP (2)</size>";
				return MutData
			elseif(Mutation ==  "Hypertrophy [Lv.2]")then
				MutData = "Hypertrophy [Lv.2]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Heal "..(M.HeartHealing/4);
				MutData = MutData.."<br/>Single Target, Player";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>90</color> HP (2)</size>";
				return MutData
			elseif(Mutation ==  "Hypertrophy [Lv.3]")then
				MutData = "Hypertrophy [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Heal "..(M.HeartHealing/4);
				MutData = MutData.."<br/>Single Target, Player";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>110</color> HP (2)</size>";
				MutData = MutData.."<br/><size=0.9><color=Upside>Target: +5 Bone +5 Sinew (1)</color></size>";
				return MutData
			elseif(Mutation ==  "Hypertrophy [Lv.4]")then
				MutData = "Hypertrophy [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Heal "..(M.HeartHealing/4);
				MutData = MutData.."<br/>Single Target, Player";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>130</color> HP (2)</size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>+10</color> Bone <color=Upside>+10</color> Sinew (2)</size>";
				return MutData
			elseif(Mutation ==  "Hypertrophy [Lv.5]")then
				MutData = "Hypertrophy [Lv.5]:";
				MutData = MutData.."<br/><size=0.5><img=GameScreen:Effect/></size> Heal "..(M.HeartHealing/4);
				MutData = MutData.."<br/>Single Target, Player";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>150</color> HP (2)</size>";
				MutData = MutData.."<br/><size=0.9>Target: <color=Upside>+15</color> Bone <color=Upside>+15</color> Sinew (2)</size>";
				return MutData
			end
		end
	end
end

function DetermineHeadLootEffect(Mutation)
	--Filter down how many ifs exist via level stuff
	print("Determining Loot Effect for"..Mutation)
	if(M.PlayerHeadLevel == 1)then
		for Count = 1, #M.HeadMoveset do
			gui.play_flipbook(gui.get_node("Action"..Count), "BlankNode");
			gui.play_flipbook(gui.get_node("Action"..Count.."Cover"), "BlankNode");
		end
		if(Mutation == hash("Bloodshot"))then
			table.insert(M.HeadMoveset, BloodshotMods[1]);

		elseif(Mutation ==  hash("Luxation"))then
			table.insert(M.HeadMoveset, LuxationMods[1]);

		elseif(Mutation == hash("Polycoria"))then
			table.insert(M.HeadMoveset, PolycoriaMods[1]);

		elseif(Mutation ==  hash("Mock Distress"))then
			table.insert(M.HeadMoveset, MockDistressMods[1]);

		elseif(Mutation ==  hash("Tightened Lid"))then
			table.insert(M.HeadMoveset, TightenedLidMods[1]);

		elseif(Mutation ==  hash("Delirium"))then
			table.insert(M.HeadMoveset, DeliriumMods[1]);

		elseif(Mutation ==  hash("Placeholderformoremovs"))then

		end
		for Count = 1, #M.HeadMoveset do
			gui.play_flipbook(gui.get_node("Action"..Count), "BlankNode");
		end
		for Count = 1, #M.HeadMoveset do
			--print(Count, gui.get_flipbook(gui.get_node("Action"..Count.."Cover")))
			gui.play_flipbook(gui.get_node("Action"..Count.."Cover"), hash("UI Transition Open"), function()
				gui.play_flipbook(gui.get_node("Action"..Count.."Cover"), hash("IconFrameOpenFrame4"));
				--if(M.BiomassLevelTargetTable[1] == "PlayerNode1")then
				gui.play_flipbook(gui.get_node("Action"..Count), M.HeadMoveset[Count][1]);
				--elseif(M.BiomassLevelTargetTable[1] == "PlayerNode2")then
				--	gui.play_flipbook(gui.get_node("Action"..Count), M.LimbsMoveset[Count][1]);
				--elseif(M.BiomassLevelTargetTable[1] == "PlayerNode3")then
				--	gui.play_flipbook(gui.get_node("Action"..Count), M.HeartMoveset[Count][1]);
				--end
				gui.play_flipbook(gui.get_node("Action"..Count.."Cover"), hash("IconFrameOpenFrame4"));
			end);

		end
	elseif(M.PlayerHeadLevel == 2)then
		if(Mutation == hash("Calcified Ducts"))then
			M.HeadBone = M.HeadBone + 25;
			M.HeadSinew = M.HeadSinew + 10;
			M.HeadFluids = M.HeadFluids*0.8;

		elseif(Mutation ==  hash("Sturdy Tendons"))then
			M.HeadBone = M.HeadBone + 10;
			M.HeadSinew = M.HeadSinew + 25;
			M.HeadTrauma = M.HeadTrauma*0.8;

		elseif(Mutation ==  hash("Metabolic Lapse"))then
			M.HeadBone = M.HeadBone + 20;
			M.HeadSinew = M.HeadSinew + 20;
			M.HeadTurnLimit = M.HeadTurnLimit + 2;
			M.HeadCurrentTurn = M.HeadTurnLimit;
			SetTurnDisplay();

		elseif(Mutation ==  hash("Autophagic Response"))then
			M.HeadBone = M.HeadBone + 20;
			M.HeadSinew = M.HeadSinew + 20;
			M.HeadMaxHP = M.HeadMaxHP - 50;
			if(M.HeadHP - 50 < 0)then
				M.HeadHP = 1;
			else
				M.HeadHP = M.HeadHP - 50
			end

		elseif(Mutation ==  hash("Acidic Tissue"))then
			M.HeadBone = M.HeadBone -30;
			M.HeadSinew = M.HeadSinew + 70;

		elseif(Mutation ==  hash("Skeletal Overgrowth"))then
			M.HeadSinew = M.HeadSinew -30;
			M.HeadBone = M.HeadBone + 70;

		else
			print("Not Handled yet");
		end
	else
		--Part of the Third-Level work
		if(Mutation == hash("Bloodshot"))then
			if(TableHasEntry(M.HeadLoot, hash("Bloodshot")))then
				--Find the move in the Movelist
				for Count = 1, #M.HeadMoveset do
					if(M.HeadMoveset[Count][1] == "Bloodshot")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerHead", Count);
						local MoveLevels = {M.HeadLevelMove1, M.HeadLevelMove2, M.HeadLevelMove3, M.HeadLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.HeadMoveset, Count);
						table.insert(M.HeadMoveset, Count, BloodshotMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.HeadMoveset, BloodshotMods[1]);
			end

		elseif(Mutation == hash("Luxation"))then
			if(TableHasEntry(M.HeadLoot, hash("Luxation")))then
				--Find the move in the Movelist
				for Count = 1, #M.HeadMoveset do
					if(M.HeadMoveset[Count][1] == "Luxation")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerHead", Count);
						local MoveLevels = {M.HeadLevelMove1, M.HeadLevelMove2, M.HeadLevelMove3, M.HeadLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.HeadMoveset, Count);
						table.insert(M.HeadMoveset, Count, LuxationMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.HeadMoveset, LuxationMods[1]);
			end

		elseif(Mutation == hash("Polycoria"))then
			if(TableHasEntry(M.HeadLoot, hash("Polycoria")))then
				--Find the move in the Movelist
				for Count = 1, #M.HeadMoveset do
					if(M.HeadMoveset[Count][1] == "Polycoria")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerHead", Count);
						local MoveLevels = {M.HeadLevelMove1, M.HeadLevelMove2, M.HeadLevelMove3, M.HeadLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.HeadMoveset, Count);
						table.insert(M.HeadMoveset, Count, PolycoriaMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.HeadMoveset, PolycoriaMods[1]);
			end

		elseif(Mutation ==  hash("Mock Distress"))then
			if(TableHasEntry(M.HeadLoot, hash("Mock Distress")))then
				--Find the move in the Movelist
				for Count = 1, #M.HeadMoveset do
					if(M.HeadMoveset[Count][1] == "Mock Distress")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerHead", Count);
						local MoveLevels = {M.HeadLevelMove1, M.HeadLevelMove2, M.HeadLevelMove3, M.HeadLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.HeadMoveset, Count);
						table.insert(M.HeadMoveset, Count, MockDistressMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.HeadMoveset, MockDistressMods[1]);
			end

		elseif(Mutation ==  hash("Tightened Lid"))then
			if(TableHasEntry(M.HeadLoot, hash("Tightened Lid")))then
				--Find the move in the Movelist
				for Count = 1, #M.HeadMoveset do
					if(M.HeadMoveset[Count][1] == "Tightened Lid")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerHead", Count);
						local MoveLevels = {M.HeadLevelMove1, M.HeadLevelMove2, M.HeadLevelMove3, M.HeadLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.HeadMoveset, Count);
						table.insert(M.HeadMoveset, Count, TightenedLidMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.HeadMoveset, TightenedLidMods[1]);
			end

		elseif(Mutation ==  hash("Delirium"))then
			if(TableHasEntry(M.HeadLoot, hash("Delirium")))then
				--Find the move in the Movelist
				for Count = 1, #M.HeadMoveset do
					if(M.HeadMoveset[Count][1] == "Delirium")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerHead", Count);
						local MoveLevels = {M.HeadLevelMove1, M.HeadLevelMove2, M.HeadLevelMove3, M.HeadLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.HeadMoveset, Count);
						table.insert(M.HeadMoveset, Count, DeliriumMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.HeadMoveset, DeliriumMods[1]);
			end

		elseif(Mutation ==  hash("Placeholderformoremovs"))then

		end
	end
end

function DetermineLimbsLootEffect(Mutation)
	--Filter down how many ifs exist via level stuff

	if(M.PlayerLimbsLevel == 1)then
		for Count = 1, #M.LimbsMoveset do
			gui.play_flipbook(gui.get_node("Action"..Count), "BlankNode");
			gui.play_flipbook(gui.get_node("Action"..Count.."Cover"), "BlankNode");
		end
		if(Mutation == hash("Bile Bomb"))then
			table.insert(M.LimbsMoveset, BileBombMods[1]);

		elseif(Mutation ==  hash("Finger Gun"))then
			table.insert(M.LimbsMoveset, FingerGunMods[1]);

		elseif(Mutation == hash("Bone Splinter"))then
			table.insert(M.LimbsMoveset, BoneSplinterMods[1]);

		elseif(Mutation ==  hash("Predation"))then
			table.insert(M.LimbsMoveset, PredationMods[1]);

		elseif(Mutation ==  hash("Blood Oath"))then
			table.insert(M.LimbsMoveset, BloodOathMods[1]);

		elseif(Mutation ==  hash("Vampiric Veins"))then
			table.insert(M.LimbsMoveset, VampiricVeinsMods[1]);

		elseif(Mutation ==  hash("Placeholderformoremovs"))then

		end
		for Count = 1, #M.LimbsMoveset do
			gui.play_flipbook(gui.get_node("Action"..Count), "BlankNode");
		end
		for Count = 1, #M.LimbsMoveset do
			--print(Count, gui.get_flipbook(gui.get_node("Action"..Count.."Cover")))
			gui.play_flipbook(gui.get_node("Action"..Count.."Cover"), hash("UI Transition Open"), function()
				gui.play_flipbook(gui.get_node("Action"..Count.."Cover"), hash("IconFrameOpenFrame4"));
				--if(M.BiomassLevelTargetTable[1] == "PlayerNode1")then
				--	gui.play_flipbook(gui.get_node("Action"..Count), M.HeadMoveset[Count][1]);
				--elseif(M.BiomassLevelTargetTable[1] == "PlayerNode2")then
				gui.play_flipbook(gui.get_node("Action"..Count), M.LimbsMoveset[Count][1]);
				--elseif(M.BiomassLevelTargetTable[1] == "PlayerNode3")then
				--	gui.play_flipbook(gui.get_node("Action"..Count), M.HeartMoveset[Count][1]);
				--end
				gui.play_flipbook(gui.get_node("Action"..Count.."Cover"), hash("IconFrameOpenFrame4"));
			end);

		end
	elseif(M.PlayerLimbsLevel == 2)then
		if(Mutation == hash("Lubricated Joints"))then
			M.LimbsTurnLimit = (M.LimbsTurnLimit-1);
			M.LimbsTrauma = (M.LimbsTrauma*.4);
			M.LimbsFluids = (M.LimbsFluids*.4);
			M.LimbsCurrentTurn = M.LimbsTurnLimit;
			SetTurnDisplay();

		elseif(Mutation == hash("Digestible Chitin"))then
			M.LimbsFluids = (M.LimbsFluids*1.6);
			M.LimbsTrauma = (M.LimbsTrauma*1.2);
			M.LimbsBone = (M.LimbsBone-25);

		elseif(Mutation == hash("Slow Twitch Fibers"))then
			M.LimbsTrauma = (M.LimbsTrauma*2);
			M.LimbsTurnLimit = (M.LimbsTurnLimit+1);
			M.LimbsCurrentTurn = M.LimbsTurnLimit;
			SetTurnDisplay();

		elseif(Mutation == hash("Autocannibalism"))then
			M.LimbsFluids = (M.LimbsFluids*1.6);
			M.LimbsTrauma = (M.LimbsTrauma*1.6);
			M.LimbsMaxHP = (M.LimbsMaxHP-100);
			if(M.LimbsHP - 100 > 1)then
				M.LimbsHP = (M.LimbsHP-100);
			else
				M.LimbsHP = 1;
			end

		elseif(Mutation == hash("Open Fracture"))then
			M.LimbsFluids = (M.LimbsFluids*1.6);
			M.LimbsTrauma = (M.LimbsTrauma*1.2);
			M.LimbsSinew = (M.LimbsSinew-25);

		elseif(Mutation == hash("Gastric Overproduction"))then
			M.LimbsFluids = (M.LimbsFluids*2);
			M.LimbsTurnLimit = (M.LimbsTurnLimit+1);
			M.LimbsCurrentTurn = M.LimbsTurnLimit;
			SetTurnDisplay();

		else
			print("Not Handled yet");
		end
	else
		--Part of the Third-Level work
		if(Mutation == hash("Bile Bomb"))then
			if(TableHasEntry(M.LimbsMoveset, hash("Bile Bomb")))then
				--Find the move in the Movelist
				for Count = 1, #M.LimbsMoveset do
					if(M.LimbsMoveset[Count][1] == "Bile Bomb")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerLimbs", Count);
						local MoveLevels = {M.LimbsLevelMove1, M.LimbsLevelMove2, M.LimbsLevelMove3, M.LimbsLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.LimbsMoveset, Count);
						table.insert(M.LimbsMoveset, Count, BileBombMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.LimbsMoveset, BileBombMods[1]);
			end
		elseif(Mutation ==  hash("Finger Gun"))then
			if(TableHasEntry(M.LimbsMoveset, hash("Finger Gun")))then
				--Find the move in the Movelist
				for Count = 1, #M.LimbsMoveset do
					if(M.LimbsMoveset[Count][1] == "Finger Gun")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerLimbs", Count);
						local MoveLevels = {M.LimbsLevelMove1, M.LimbsLevelMove2, M.LimbsLevelMove3, M.LimbsLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.LimbsMoveset, Count);
						table.insert(M.LimbsMoveset, Count, FingerGunMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.LimbsMoveset, FingerGunMods[1]);
			end

		elseif(Mutation == hash("Bone Splinter"))then
			if(TableHasEntry(M.LimbsMoveset, hash("Bone Splinter")))then
				--Find the move in the Movelist
				for Count = 1, #M.LimbsMoveset do
					if(M.LimbsMoveset[Count][1] == "Bone Splinter")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerLimbs", Count);
						local MoveLevels = {M.LimbsLevelMove1, M.LimbsLevelMove2, M.LimbsLevelMove3, M.LimbsLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.LimbsMoveset, Count);
						table.insert(M.LimbsMoveset, Count, BoneSplinterMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.LimbsMoveset, BoneSplinterMods[1]);
			end

		elseif(Mutation ==  hash("Predation"))then
			if(TableHasEntry(M.LimbsMoveset, hash("Predation")))then
				--Find the move in the Movelist
				for Count = 1, #M.LimbsMoveset do
					if(M.LimbsMoveset[Count][1] == "Predation")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerLimbs", Count);
						local MoveLevels = {M.LimbsLevelMove1, M.LimbsLevelMove2, M.LimbsLevelMove3, M.LimbsLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.LimbsMoveset, Count);
						table.insert(M.LimbsMoveset, Count, PredationMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.LimbsMoveset, PredationMods[1]);
			end

		elseif(Mutation ==  hash("Blood Oath"))then
			if(TableHasEntry(M.LimbsMoveset, hash("Blood Oath")))then
				--Find the move in the Movelist
				for Count = 1, #M.LimbsMoveset do
					if(M.LimbsMoveset[Count][1] == "Blood Oath")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerLimbs", Count);
						local MoveLevels = {M.LimbsLevelMove1, M.LimbsLevelMove2, M.LimbsLevelMove3, M.LimbsLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.LimbsMoveset, Count);
						table.insert(M.LimbsMoveset, Count, BloodOathMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.LimbsMoveset, BloodOathMods[1]);
			end

		elseif(Mutation ==  hash("Vampiric Veins"))then
			if(TableHasEntry(M.LimbsMoveset, hash("Vampiric Veins")))then
				--Find the move in the Movelist
				for Count = 1, #M.LimbsMoveset do
					if(M.LimbsMoveset[Count][1] == "Vampiric Veins")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerLimbs", Count);
						local MoveLevels = {M.LimbsLevelMove1, M.LimbsLevelMove2, M.LimbsLevelMove3, M.LimbsLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.LimbsMoveset, Count);
						table.insert(M.LimbsMoveset, Count, VampiricVeinsMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.LimbsMoveset, VampiricVeinsMods[1]);
			end

		elseif(Mutation ==  hash("Placeholderformoremovs"))then

		end
	end
end

function DetermineHeartLootEffect(Mutation)
	--Filter down how many ifs exist via level stuff

	if(M.PlayerHeartLevel == 1)then
		for Count = 1, #M.HeartMoveset do
			gui.play_flipbook(gui.get_node("Action"..Count), "BlankNode");
			gui.play_flipbook(gui.get_node("Action"..Count.."Cover"), "BlankNode");
		end
		if(Mutation == hash("Hypertensive Crisis"))then
			table.insert(M.HeartMoveset, HypertensiveCrisisMods[1]);

		elseif(Mutation ==  hash("Palpitate"))then
			table.insert(M.HeartMoveset, PalpitateMods[1]);

		elseif(Mutation == hash("Tachycardia"))then
			table.insert(M.HeartMoveset, TachycardiaMods[1]);

		elseif(Mutation ==  hash("Heart Burn"))then
			table.insert(M.HeartMoveset, HeartBurnMods[1]);

		elseif(Mutation ==  hash("Martyrdom"))then
			table.insert(M.HeartMoveset, MartyrdomMods[1]);

		elseif(Mutation ==  hash("Hypertrophy"))then
			table.insert(M.HeartMoveset, HypertrophyMods[1]);

		elseif(Mutation ==  hash("Placeholderformoremovs"))then

		end
		for Count = 1, #M.HeartMoveset do
			gui.play_flipbook(gui.get_node("Action"..Count), "BlankNode");
		end
		for Count = 1, #M.HeartMoveset do
			--print(Count, gui.get_flipbook(gui.get_node("Action"..Count.."Cover")))
			gui.play_flipbook(gui.get_node("Action"..Count.."Cover"), hash("UI Transition Open"), function()
				gui.play_flipbook(gui.get_node("Action"..Count.."Cover"), hash("IconFrameOpenFrame4"));
				--if(M.BiomassLevelTargetTable[1] == "PlayerNode1")then
				--	gui.play_flipbook(gui.get_node("Action"..Count), M.HeadMoveset[Count][1]);
				--elseif(M.BiomassLevelTargetTable[1] == "PlayerNode2")then
				--	gui.play_flipbook(gui.get_node("Action"..Count), M.LimbsMoveset[Count][1]);
				--elseif(M.BiomassLevelTargetTable[1] == "PlayerNode3")then
				gui.play_flipbook(gui.get_node("Action"..Count), M.HeartMoveset[Count][1]);
				--end
				gui.play_flipbook(gui.get_node("Action"..Count.."Cover"), hash("IconFrameOpenFrame4"));
			end);

		end
	elseif(M.PlayerHeartLevel == 2)then
		if(Mutation == hash("Heavy Flow"))then
			M.HeartHealing = (M.HeartHealing*1.5);
			M.HeartTurnLimit = (M.HeartTurnLimit+1);

		elseif(Mutation == hash("Discarded Atrium"))then
			M.HeartTurnLimit = (M.HeartTurnLimit-1);
			M.HeartHealing = (M.HeartHealing/2);

		elseif(Mutation == hash("Tightened Valve"))then
			M.HeartMaxHP = (M.HeartMaxHP+200);
			M.HeartHP = (M.HeartHP+200);
			M.HeartHealing = (M.HeartHealing/2);

		elseif(Mutation == hash("Ichor Hypersynthesis"))then
			M.HeartHealing = (M.HeartHealing*1.5);
			M.HeartMaxHP = (M.HeartMaxHP-100);
			if(M.HeartHP - 100 > 1)then
				M.HeartHP = (M.HeartHP-100);
			else
				M.HeartHP = 1;
			end

		elseif(Mutation == hash("Pacifist Gene"))then
			M.HeartHealing = (M.HeartHealing*1.75);
			M.HeartFluids = (M.HeartFluids*.4);
			M.HeartTrauma = (M.HeartTrauma*.4);

		elseif(Mutation == hash("Enlarged Chambers"))then
			M.HeartMaxHP = (M.HeartMaxHP+100);
			M.HeartHP = (M.HeartHP+100);
			M.HeartSinew = (M.HeartSinew-15);
			M.HeartBone = (M.HeartBone-15);

		else
			print("Not Handled yet");
		end
	else
		--Part of the Third-Level work
		if(Mutation == hash("Hypertensive Crisis"))then
			if(TableHasEntry(M.HeartMoveset, hash("Hypertensive Crisis")))then
				--Find the move in the Movelist
				for Count = 1, #M.HeartMoveset do
					if(M.HeartMoveset[Count][1] == "Hypertensive Crisis")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerHeart", Count);
						local MoveLevels = {M.HeartLevelMove1, M.HeartLevelMove2, M.HeartLevelMove3, M.HeartLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.HeartMoveset, Count);
						table.insert(M.HeartMoveset, Count, HypertensiveCrisisMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.HeartMoveset, HypertensiveCrisisMods[1]);
			end
		elseif(Mutation ==  hash("Palpitate"))then
			if(TableHasEntry(M.HeartMoveset, hash("Palpitate")))then
				--Find the move in the Movelist
				for Count = 1, #M.HeartMoveset do
					if(M.HeartMoveset[Count][1] == "Palpitate")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerHeart", Count);
						local MoveLevels = {M.HeartLevelMove1, M.HeartLevelMove2, M.HeartLevelMove3, M.HeartLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.HeartMoveset, Count);
						table.insert(M.HeartMoveset, Count, PalpitateMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.HeartMoveset, PalpitateMods[1]);
			end

		elseif(Mutation == hash("Tachycardia"))then
			if(TableHasEntry(M.HeartMoveset, hash("Tachycardia")))then
				--Find the move in the Movelist
				for Count = 1, #M.HeartMoveset do
					if(M.HeartMoveset[Count][1] == "Tachycardia")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerHeart", Count);
						local MoveLevels = {M.HeartLevelMove1, M.HeartLevelMove2, M.HeartLevelMove3, M.HeartLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.HeartMoveset, Count);
						table.insert(M.HeartMoveset, Count, TachycardiaMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.HeartMoveset, TachycardiaMods[1]);
			end

		elseif(Mutation ==  hash("Heart Burn"))then
			if(TableHasEntry(M.HeartMoveset, hash("Heart Burn")))then
				--Find the move in the Movelist
				for Count = 1, #M.HeartMoveset do
					if(M.HeartMoveset[Count][1] == "Heart Burn")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerHeart", Count);
						local MoveLevels = {M.HeartLevelMove1, M.HeartLevelMove2, M.HeartLevelMove3, M.HeartLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.HeartMoveset, Count);
						table.insert(M.HeartMoveset, Count, HeartBurnMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.HeartMoveset, HeartBurnMods[1]);
			end

		elseif(Mutation ==  hash("Martyrdom"))then
			if(TableHasEntry(M.HeartMoveset, hash("Martyrdom")))then
				--Find the move in the Movelist
				for Count = 1, #M.HeartMoveset do
					if(M.HeartMoveset[Count][1] == "Martyrdom")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerHeart", Count);
						local MoveLevels = {M.HeartLevelMove1, M.HeartLevelMove2, M.HeartLevelMove3, M.HeartLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.HeartMoveset, Count);
						table.insert(M.HeartMoveset, Count, MartyrdomMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.HeartMoveset, MartyrdomMods[1]);
			end

		elseif(Mutation ==  hash("Hypertrophy"))then
			if(TableHasEntry(M.HeartMoveset, hash("Hypertrophy")))then
				--Find the move in the Movelist
				for Count = 1, #M.HeartMoveset do
					if(M.HeartMoveset[Count][1] == "Hypertrophy")then
						--increase the level of the move by 1
						UpdateMoveLevel("PlayerHeart", Count);
						local MoveLevels = {M.HeartLevelMove1, M.HeartLevelMove2, M.HeartLevelMove3, M.HeartLevelMove4};
						--Then find the move and remove it and inject the new value
						table.remove(M.HeartMoveset, Count);
						table.insert(M.HeartMoveset, Count, HypertrophyMods[MoveLevels[Count]]);
					end
				end
			else
				table.insert(M.HeartMoveset, HypertrophyMods[1]);
			end

		elseif(Mutation ==  hash("Placeholderformoremovs"))then

		end
	end
end

--Part of the Third-Level work
function UpdateMoveLevel(Actor, MoveCount)
	if(Actor == "PlayerHead")then
		if(MoveCount == 1)then
			M.HeadLevelMove1 = M.HeadLevelMove1+1;
		elseif(MoveCount == 2)then
			M.HeadLevelMove2 = M.HeadLevelMove2+1;
		elseif(MoveCount == 3)then
			M.HeadLevelMove3 = M.HeadLevelMove3+1;
		elseif(MoveCount == 4)then
			M.HeadLevelMove4 = M.HeadLevelMove4+1;
		end
	elseif(Actor == "PlayerLimbs")then
		if(MoveCount == 1)then
			M.LimbsLevelMove1 = M.LimbsLevelMove1+1;
		elseif(MoveCount == 2)then
			M.LimbsLevelMove2 = M.LimbsLevelMove2+1;
		elseif(MoveCount == 3)then
			M.LimbsLevelMove3 = M.LimbsLevelMove3+1;
		elseif(MoveCount == 4)then
			M.LimbsLevelMove4 = M.LimbsLevelMove4+1;
		end

	elseif(Actor == "PlayerHeart")then
		if(MoveCount == 1)then
			M.HeartLevelMove1 = M.HeartLevelMove1+1;
		elseif(MoveCount == 2)then
			M.HeartLevelMove2 = M.HeartLevelMove2+1;
		elseif(MoveCount == 3)then
			M.HeartLevelMove3 = M.HeartLevelMove3+1;
		elseif(MoveCount == 4)then
			M.HeartLevelMove4 = M.HeartLevelMove4+1;
		end

	end
end

--Part of the Third-Level work
function GetMoveLevel(Actor, MoveCount)
	if(Actor == "PlayerHead")then
		if(MoveCount == 1)then
			return M.HeadLevelMove1;
		elseif(MoveCount == 2)then
			return M.HeadLevelMove2;
		elseif(MoveCount == 3)then
			return M.HeadLevelMove3;
		elseif(MoveCount == 4)then
			return M.HeadLevelMove4;
		end
	elseif(Actor == "PlayerLimbs")then
		if(MoveCount == 1)then
			return M.LimbsLevelMove1;
		elseif(MoveCount == 2)then
			return M.LimbsLevelMove2;
		elseif(MoveCount == 3)then
			return M.LimbsLevelMove3;
		elseif(MoveCount == 4)then
			return M.LimbsLevelMove4;
		end

	elseif(Actor == "PlayerHeart")then

		if(MoveCount == 1)then
			return M.HeartLevelMove1;
		elseif(MoveCount == 2)then
			return M.HeartLevelMove2;
		elseif(MoveCount == 3)then
			return M.HeartLevelMove3;
		elseif(MoveCount == 4)then
			return M.HeartLevelMove4;
		end
	end
end

function GenerateLootDisplay(Character)
	print("Now changing Loot Display for", Character)
	--TODO: Add in the code that removes the help text for the Loots as well.
	local CharacterLoot = {};
	if(Character == "PlayerNode1")then
		CharacterLoot = M.HeadLoot;
	elseif(Character == "PlayerNode2")then
		CharacterLoot = M.LimbsLoot;
	elseif(Character == "PlayerNode3")then
		CharacterLoot = M.HeartLoot;
	end
	--print(AllLootUINodes[1])
	if(#AllLootUINodes > 0)then
		ClearUILootVals(AllLootUINodes);
	end
	for Count = 1, #CharacterLoot do
		local LootID = Count;
		local ReturnedLootLoc = gui.get_position(gui.get_node("UIInfoBox"));
		local SelectorSize = gui.get_size(gui.get_node("UIInfoBox"));
		local clonesize = gui.get_size(gui.get_node("UILootRef"));
		local node = gui.clone(gui.get_node("UILootRef"));
		gui.set_position(node, vmath.vector3((-SelectorSize.x/2)+(clonesize.x*((Count-1)%16+1)),(SelectorSize.y/2)-(clonesize.y*math.ceil(Count/16)),0));
		gui.set_texture(node, "LootIcons");
		gui.play_flipbook(node, CharacterLoot[Count]); --AllHead1NewMoves[math.random(#AllHead1NewMoves)]);
		gui.set_id(node, Character.."LootNode"..Count);
		table.insert(AllLootUINodes, {Name = Character.."LootNode"..Count, Desc = DetermineLootHelpText(Character, CharacterLoot[Count])});
		gui.set_parent(node, gui.get_node("InfoBoxLootRef"));
	end
end

--<color=Upside>Good</color>
--<color=Downside>Bad</color>
--Here we determine text for the help popup
function DetermineLootHelpText(Character, Loot)
	print("for", Character, " The Loot is",Loot)
	local Desc = "Placeholder Loot Text";

	--generalPurposeLootFirst?
	if(Loot == hash("Health Food"))then
		Desc = "Health Food:<br/><color=Upside>+50 Max HP</color><br/><color=Downside>-25 Current HP</color>";

	elseif(Loot == hash("Iron Perfume"))then
		Desc = "Iron Perfume:<br/><color=Upside>+25 Current HP</color><br/><color=Upside>At the start of every combat, inflict all Enemy with Fixation: Can only target this part for 2 actions</color>";

	elseif(Loot == hash("Parasitic Assistant"))then
		Desc = "Parasitic Assistant:<br/><color=Upside>+10% Max HP</color><br/><color=Downside>-10% Current HP</color>";

	elseif(Loot == hash("Savior Spores"))then
		Desc = "Savior Spores:<br/><color=Upside>At the start of every combat, gain Abnormality: +50 HP for 3 actions</color>";

	elseif(Loot == hash("Snacking Cysts"))then
		Desc = "Snacking Cysts:<br/><color=Upside>At the end of next combat, gain 1 additional level</color>";

	elseif(Loot == hash("Flesh Factory"))then
		Desc = "Flesh Factory:<br/><color=Upside>At the end of every combat, gain 0.4 additional levels</color>";

	elseif(Loot == hash("Saliva Salve"))then
		Desc = "Saliva Salve:<br/><color=Upside>At the start of every combat, +20 Current HP</color>";

	elseif(Loot == hash("Telmophage"))then
		Desc = "Telmophage:<br/><color=Upside>+20 Max HP</color><br/><color=Downside>-2 Fatigue for next fight</color>";

	elseif(Loot == hash("Homeopathic Pus"))then
		Desc = "Homeopathic Pus:<br/><color=Upside>+20 Ichor</color>";

	elseif(Loot == hash("Compound Crust"))then
		Desc = "Compound Crust:<br/><color=Upside>At the start of every combat, gain Abnormality: +10 Bone +10 Sinew for 2 acts</color>";

	elseif(Loot == hash("Revitalizer"))then
		Desc = "Revitalizer:<br/><color=Upside>+25 Max HP</color><br/><color=Upside>Heal 75 HP</color><br/>or<br/><color=Upside>Respawn a part at 50% HP</color>";

	elseif(Loot == hash("Biofilter"))then
		Desc = "Biofilter:<br/><color=Upside>At the start of every combat, gain Regeneration: +20 HP for 3 actions</color>";

	elseif(Loot == hash("Porous Tissue"))then
		Desc = "Porous Tissue:<br/><color=Upside>At the start of every combat, gain Abnormality: +30 Fluids for 2 acts</color>";

	elseif(Loot == hash("Exposed Nerve"))then
		Desc = "Exposed Nerve:<br/><color=Upside>+20 Fluids</color><br/><color=Upside>+20 Trauma</color><br/><color=Downside>After taking damage from an enemy, 25% Chance to receive 30 extra damage</color>";

	elseif(Loot == hash("Filling Meal"))then
		Desc = "Filling Meal:<br/><color=Upside>+25 Current HP</color><br/><color=Upside>At the end of next combat, Gain 2 additional levels</color>";

	elseif(Loot == hash("Distracting Scream"))then
		Desc = "Distracting Scream:<br/><color=Upside>At the start of every combat, inflict Enemy with Lethargic: Increase Fatigue by 1</color>";

	elseif(Loot == hash("Chitin Spines"))then
		Desc = "Chitin Spines:<br/><color=Upside>After taking damage from an enemy, 100% chance to inflict Bleed: -10 HP for 2 actions</color>";

	elseif(Loot == hash("Control Center"))then
		Desc = "Control Center:<br/><color=Upside>After damaging an enemy, 50% chance to gain Agitated: Decrease Fatigue by 1</color>";

	elseif(Loot == hash("Binding Tendon"))then
		Desc = "Binding Tendon:<br/><color=Upside>At the start of every combat, gain Abnormality: +30 Sinew for 3 acts</color><br/><color=Downside>-10 Bone</color>";

	elseif(Loot == hash("Bile Blood"))then
		Desc = "Bile Blood:<br/><color=Upside>+15 Fluids</color><br/><color=Downside>-25 Current HP</color>";

	elseif(Loot == hash("Weepy Membrane"))then
		Desc = "Weepy Membrane:<br/><color=Upside>At the start of every combat, gain Agitated: Decrease Fatigue by 1</color>";

	elseif(Loot == hash("Redundant Fibers"))then
		Desc = "Redundant Fibers:<br/><color=Upside>+15 Trauma</color><br/><color=Downside>-25 Current HP</color>";

	elseif(SplitString(tostring(Loot), " ")[2] == "[Symbiont")then
		Desc = "Symbiont Strain:<br/>";
		local BuffArray = SplitString(SplitString(tostring(Loot), " ")[4], "-");
		if(BuffArray[1] == "11")then
			Desc = Desc.."<color=Upside>+5 Bone</color><br/>";
		elseif(BuffArray[1] == "12")then
			Desc = Desc.."<color=Upside>+5 Sinew</color><br/>";
		elseif(BuffArray[1] == "21")then
			Desc = Desc.."<color=Upside>+5 Trauma</color><br/>";
		elseif(BuffArray[1] == "22")then
			Desc = Desc.."<color=Upside>+5 Fluids</color><br/>";
		end
		if(BuffArray[2] == "1]")then
			Desc = Desc.."<color=Upside>After taking damage from an enemy, 15% chance to gain Regeneration: +10 HP for 3 actions</color>";
		elseif(BuffArray[2] == "2]")then
			Desc = Desc.."<color=Upside>After taking damage from an enemy, 15% chance to inflict Bleed: -10 HP for 3 actions</color>";
		end

	elseif(SplitString(tostring(Loot), " ")[2] == "[Parasite")then
		Desc = "Parasite Strain:<br/>";
		local BuffArray = SplitString(SplitString(tostring(Loot), " ")[4], "-");
		if(BuffArray[1] == "11")then
			Desc = Desc.."<color=Upside>+10 Bone</color><br/><color=Upside>+5 Sinew</color><br/>";
		elseif(BuffArray[1] == "12")then
			Desc = Desc.."<color=Upside>+5 Bone</color><br/><color=Upside>+10 Sinew</color><br/>";
		elseif(BuffArray[1] == "21")then
			Desc = Desc.."<color=Upside>+10 Trauma</color><br/><color=Upside>+5 Fluids</color><br/>";
		elseif(BuffArray[1] == "22")then
			Desc = Desc.."<color=Upside>+5 Trauma</color><br/><color=Upside>+10 Fluids</color><br/>";
		end
		if(BuffArray[2] == "1]")then
			Desc = Desc.."<color=Upside>After taking damage from an enemy, 25% chance to gain Regeneration: +20 HP for 2 actions</color>";
		elseif(BuffArray[2] == "2]")then
			Desc = Desc.."<color=Upside>After taking damage from an enemy, 25% chance to inflict Bleed: -20 HP for 2 action</color>";
		end

	elseif(Loot == hash("LootName"))then
		Desc = "LootName:";

	elseif(Loot == hash("LootName"))then
		Desc = "LootName:";
	end

	--Head Loot
	if(Character == "PlayerNode1")then
		if(Loot == hash("Calcified Ducts"))then
			Desc = "Calcified Ducts:<br/><color=Upside>+25 Bone</color><br/><color=Upside>+10 Sinew</color><br/><color=Downside>-20% Fluids Damage</color>";
		elseif(Loot == hash("Sturdy Tendons"))then
			Desc = "Sturdy Tendons:<br/><color=Upside>+10 Bone</color><br/><color=Upside>+25 Sinew</color><br/><color=Downside>-20% Trauma Damage</color>";
		elseif(Loot == hash("Metabolic Lapse"))then
			Desc = "Metabolic Lapse:<br/><color=Upside>+20 Bone</color><br/><color=Upside>+20 Sinew</color><br/><color=Downside>+2 Fatigue</color>";
		elseif(Loot == hash("Autophagic Response"))then
			Desc = "Autophagic Response:<br/><color=Upside>+20 Bone</color><br/><color=Upside>+20 Sinew</color><br/><color=Downside>-50 Current HP</color><br/><color=Downside>50 Max HP</color>";
		elseif(Loot == hash("Acidic Tissue"))then
			Desc = "Acidic Tissue:<br/><color=Upside>+70 Sinew</color><br/><color=Downside>-30 Bone</color>";
		elseif(Loot == hash("Skeletal Overgrowth"))then
			Desc = "Skeletal Overgrowth:<br/><color=Upside>+70 Bone</color><br/><color=Downside>-30 Sinew</color>";
			--Part of the Third-Level work
		elseif(Loot == hash("Bloodshot"))then
			Desc = "Bloodshot [Lv."..GetMoveLevel("PlayerHead", MovesetHasMove(M.HeadMoveset, "Bloodshot")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"I was told rest would help, but I can't sleep.\"</color>"
		elseif(Loot == hash("Luxation"))then
			Desc = "Luxation [Lv."..GetMoveLevel("PlayerHead", MovesetHasMove(M.HeadMoveset, "Luxation")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"Just cram it back in, I don't have time for this.\"</color>"
		elseif(Loot == hash("Polycoria"))then
			Desc = "Polycoria [Lv."..GetMoveLevel("PlayerHead", MovesetHasMove(M.HeadMoveset, "Polycoria")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"Will it ever go back to normal? Will I ever see things the same?\"</color>"
		elseif(Loot == hash("Mock Distress"))then
			Desc = "Mock Distress [Lv."..GetMoveLevel("PlayerHead", MovesetHasMove(M.HeadMoveset, "Mock Distress")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"The voices were familiar, but all too uncommon.\"</color>"
		elseif(Loot == hash("Tightened Lid"))then
			Desc = "Tightened Lid [Lv."..GetMoveLevel("PlayerHead", MovesetHasMove(M.HeadMoveset, "Tightened Lid")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"It took me a while to get used to the feeling.\"</color>"
		elseif(Loot == hash("Delirium"))then
			Desc = "Delirium [Lv."..GetMoveLevel("PlayerHead", MovesetHasMove(M.HeadMoveset, "Delirium")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"I only know darkness. Darkness, and safety.\"</color>"
		end

		--Limbs Loot
	elseif(Character == "PlayerNode2")then
		if(Loot == hash("Lubricated Joints"))then
			Desc = "Lubricated Joints:<br/><color=Upside>-1 Fatigue</color><br/><color=Downside>-60% Fluids Damage</color><br/><color=Downside>-60% Trauma Damage</color>";
		elseif(Loot == hash("Digestible Chitin"))then
			Desc = "Digestible Chitin:<br/><color=Upside>+60% Fluids Damage</color><br/><color=Upside>+20% Trauma Damage</color><br/><color=Downside>-25 Bone</color>";
		elseif(Loot == hash("Slow Twitch Fibers"))then
			Desc = "Slow Twitch Fibers:<br/><color=Upside>+100% Trauma Damage</color><br/><color=Downside>+1 Fatigue</color>";
		elseif(Loot == hash("Autocannibalism"))then
			Desc = "Autocannibalism:<br/><color=Upside>+60% Fluids Damage<br/><color=Upside>+60% Trauma Damage</color><br/><color=Downside>-100 Current HP</color><br/><color=Downside>-100 Max HP</color>";
		elseif(Loot == hash("Open Fracture"))then
			Desc = "Open Fracture:<br/><color=Upside>+60% Trauma Damage<br/><color=Upside>+20% Fluids Damage</color><br/><color=Downside>-25 Sinew</color>";
		elseif(Loot == hash("Gastric Overproduction"))then
			Desc = "Gastric Overproduction:<br/><color=Upside>+100% Fluids Damage</color><br/><color=Downside>+1 Fatigue</color>";
			--Part of the Third-Level work
		elseif(Loot == hash("Bile Bomb"))then
			Desc = "Bile Bomb [Lv."..GetMoveLevel("PlayerLimbs", MovesetHasMove(M.LimbsMoveset, "Bile Bomb")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"That tasted better going down...\"</color>"
		elseif(Loot == hash("Finger Gun"))then
			Desc = "Finger Gun [Lv."..GetMoveLevel("PlayerLimbs", MovesetHasMove(M.LimbsMoveset, "Finger Gun")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"oh they're running - I like it when they run!\"</color>"
		elseif(Loot == hash("Bone Splinter"))then
			Desc = "Bone Splinter [Lv."..GetMoveLevel("PlayerLimbs", MovesetHasMove(M.LimbsMoveset, "Bone Splinter")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"It's okay - they grow back.\"</color>"
		elseif(Loot == hash("Predation"))then
			Desc = "Predation [Lv."..GetMoveLevel("PlayerLimbs", MovesetHasMove(M.LimbsMoveset, "Predation")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"They mistook my focus for distraction, the fools.\"</color>"
		elseif(Loot == hash("Blood Oath"))then
			Desc = "Blood Oath [Lv."..GetMoveLevel("PlayerLimbs", MovesetHasMove(M.LimbsMoveset, "Blood Oath")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"I never make a promise I can't break.\"</color>"
		elseif(Loot == hash("Vampiric Veins"))then
			Desc = "Vampiric Veins [Lv."..GetMoveLevel("PlayerLimbs", MovesetHasMove(M.LimbsMoveset, "Vampiric Veins")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"Slowly now, savor it - their fear, their anguish...\"</color>"
		end

		--Heart Loot
	elseif(Character == "PlayerNode3")then
		if(Loot == hash("Heavy Flow"))then
			Desc = "Heavy Flow:<br/><color=Upside>+50% Ichor</color><br/><color=Downside>+1 Fatigue</color>";
		elseif(Loot == hash("Discarded Atrium"))then
			Desc = "Discarded Atrium:<br/><color=Upside>-1 Fatigue</color><br/><color=Downside>-50% Ichor</color>";
		elseif(Loot == hash("Tightened Valve"))then
			Desc = "Tightened Valve:<br/><color=Upside>+200 Current HP</color><br/><color=Upside>+200 Max HP</color><br/><color=Downside>-50% Ichor</color>";
		elseif(Loot == hash("Ichor Hypersynthesis"))then
			Desc = "Ichor Hypersynthesis:<br/><color=Upside>+50% Ichor</color><br/><color=Downside>-100 Current HP</color><br/><color=Downside>-100 Max HP</color>";
		elseif(Loot == hash("Pacifist Gene"))then
			Desc = "Pacifist Gene:<br/><color=Upside>+75% Ichor</color><br/><color=Downside>-60% Fluids Damage</color><br/><color=Downside>-60% Trauma Damage</color>";
		elseif(Loot == hash("Enlarged Chambers"))then
			Desc = "Enlarged Chambers:<br/><color=Upside>+100 Current HP</color><br/><color=Upside>+100 Max HP</color><br/><color=Downside>-15 Bone</color><br/><color=Downside>-15 Sinew</color>";
			--Part of the Third-Level work
		elseif(Loot == hash("Hypertensive Crisis"))then
			Desc = "Hypertensive Crisis [Lv."..GetMoveLevel("PlayerHeart", MovesetHasMove(M.HeartMoveset, "Hypertensive Crisis")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"I didn't sign up for this.\"</color>"
		elseif(Loot == hash("Palpitate"))then
			Desc = "Palpitate [Lv."..GetMoveLevel("PlayerHeart", MovesetHasMove(M.HeartMoveset, "Palpitate")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"You're going to be fine, okay? We're going to be just fine.\"</color>"
		elseif(Loot == hash("Tachycardia"))then
			Desc = "Tachycardia [Lv."..GetMoveLevel("PlayerHeart", MovesetHasMove(M.HeartMoveset, "Tachycardia")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"Side effects won't matter if we don't make it out alive.\"</color>"
		elseif(Loot == hash("Heart Burn"))then
			Desc = "Heart Burn [Lv."..GetMoveLevel("PlayerHeart", MovesetHasMove(M.HeartMoveset, "Heart Burn")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"Ready? This is going to sting.\"</color>"
		elseif(Loot == hash("Martyrdom"))then
			Desc = "Martyrdom [Lv."..GetMoveLevel("PlayerHeart", MovesetHasMove(M.HeartMoveset, "Martyrdom")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"Death is only painful if you're forgotten.\"</color>"
		elseif(Loot == hash("Hypertrophy"))then
			Desc = "Hypertrophy [Lv."..GetMoveLevel("PlayerHeart", MovesetHasMove(M.HeartMoveset, "Hypertrophy")).."]:<br/>Unlocks this move for the run.<br/><color=#edab91>\"It was temporary, but temporary was all we needed.\"</color>"
		end
	end

	return Desc;
end

--Part of the Third-Level work
function MovesetHasMove(Table, Entry)
	for count = 1, #Table do
		if(Table[count][1] == Entry)then
			return count;
		end
	end
	return false;
end

--Uses the following params:
--[[
PartType - allows us to get the general and move upgrades in better optimizaed segments
SelectedPart - the selected part may have a specific trait or level, so this will help choose the general upgrades list
Movelist - this allows us to get the upgrades for the individual moves that the player has, this way they don't get upgrades for moves they don't have, and they cn filter out the move lists so they only get new ones
--]]
--Part of the Third-Level work
function GenLootTable(PartType, SelectedPart, Movelist)
	--Figure out which part is getting the upgrades list
	if(PartType == "PlayerHead")then
		--Look through the move list and the values of the levels of the moves
		--Initializing them here will allow us to get the "current" values
		--My initial reservations were that this would lead to issues if a move was removed, but I can just find the corresponding level and shift it
		local MoveLevels = {M.HeadLevelMove1, M.HeadLevelMove2, M.HeadLevelMove3, M.HeadLevelMove4};
		local ReturnedUpgrades = {};
		--For each move in the moveset
		for Count = 1, #M.HeadMoveset do
			--check what move it is, and if its level isn't the max level
			if(M.HeadMoveset[Count][1] == "Bloodshot" and MoveLevels[Count] < #BloodshotMods)then
				--assign the values
				table.insert(ReturnedUpgrades, "Bloodshot [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.HeadMoveset[Count][1] == "Luxation" and MoveLevels[Count] < #LuxationMods)then
				table.insert(ReturnedUpgrades, "Luxation [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.HeadMoveset[Count][1] == "Polycoria" and MoveLevels[Count] < #PolycoriaMods)then
				table.insert(ReturnedUpgrades, "Polycoria [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.HeadMoveset[Count][1] == "Mock Distress" and MoveLevels[Count] < #MockDistressMods)then
				table.insert(ReturnedUpgrades, "Mock Distress [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.HeadMoveset[Count][1] == "Tightened Lid" and MoveLevels[Count] < #TightenedLidMods)then
				table.insert(ReturnedUpgrades, "Tightened Lid [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.HeadMoveset[Count][1] == "Delirium" and MoveLevels[Count] < #DeliriumMods)then
				table.insert(ReturnedUpgrades, "Delirium [Lv."..(MoveLevels[Count]+1).."]");

			end
		end
		--Then roll to see if you got a new move added
		if(math.random(100) > 75 and #M.HeadMoveset ~= 4)then
			local NewMoveTable = ClearMovelistOfActions(M.HeadMoveset, AllHeadMoveSelection[M.SelectedHead]);
			table.insert(ReturnedUpgrades, NewMoveTable[math.random(#NewMoveTable)].." [Lv.1]");
		end
		--Then loop through the remainder so you also get general upgrades
		for Count = 1, (6-#ReturnedUpgrades)do
			print("Remainder")
			--Ideas:
			--[[

			--]]
		end

		return ReturnedUpgrades;

	elseif(PartType == "PlayerLimbs")then
		--Look through the move list and the values of the levels of the moves
		--Initializing them here will allow us to get the "current" values
		--My initial reservations were that this would lead to issues if a move was removed, but I can just find the corresponding level and shift it
		local MoveLevels = {M.LimbsLevelMove1, M.LimbsLevelMove2, M.LimbsLevelMove3, M.LimbsLevelMove4};
		local ReturnedUpgrades = {};
		--For each move in the moveset
		for Count = 1, #M.LimbsMoveset do
			--check what move it is, and if its level isn't the max level
			if(M.LimbsMoveset[Count][1] == "Finger Gun" and MoveLevels[Count] < #FingerGunMods)then
				--assign the values
				table.insert(ReturnedUpgrades, "Finger Gun [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.LimbsMoveset[Count][1] == "Bile Bomb" and MoveLevels[Count] < #BileBombMods)then
				table.insert(ReturnedUpgrades, "Bile Bomb [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.LimbsMoveset[Count][1] == "Bone Splinter" and MoveLevels[Count] < #BoneSplinterMods)then
				table.insert(ReturnedUpgrades, "Bone Splinter [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.LimbsMoveset[Count][1] == "Predation" and MoveLevels[Count] < #PredationMods)then
				table.insert(ReturnedUpgrades, "Predation [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.LimbsMoveset[Count][1] == "Blood Oath" and MoveLevels[Count] < #BloodOathMods)then
				table.insert(ReturnedUpgrades, "Blood Oath [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.LimbsMoveset[Count][1] == "Vampiric Veins" and MoveLevels[Count] < #VampiricVeinsMods)then
				table.insert(ReturnedUpgrades, "Vampiric Veins [Lv."..(MoveLevels[Count]+1).."]");

			end
		end
		--Then roll to see if you got a new move added

		if(math.random(100) > 75 and #M.LimbsMoveset ~= 4)then
			local NewMoveTable = ClearMovelistOfActions(M.LimbsMoveset, AllLimbsMoveSelection[M.SelectedLimbs]);
			table.insert(ReturnedUpgrades, NewMoveTable[math.random(#NewMoveTable)].." [Lv.1]");
		end
		--Then loop through the remainder so you also get general upgrades
		for Count = 1, (6-#ReturnedUpgrades)do
			print("Remainder")
			--Ideas:
			--[[
			Full Body Ideas:

			On Kill - Gain 0.1 Levels
			On Kill - Heal 20 HP
			On Kill - Lose 1 Fatigue

			Inidividual boosts:
			Vampiric Veins: if it kills an enemy, give 20 Max HP
			Predation: Killing an enemy you're fixated on hels 5% HP

			Packages (Repeatable):
			High Pressure: Bone Splinter, Finger Guns: 20% Chance to deal 10 flat damage
			Clotting Agent: Bile Bomb, Finger Guns: Deal 3 Additional damage for each stack of bleed
			Prowler: Predation, Blood Oath: 20% Chance to Reduce Fatigue by 1 
			Barbed Bones: Bone Splinter, Vampiric Veins: 20% Chance to give Bleed -10 3 turns


			--]]
		end

		return ReturnedUpgrades;

	elseif(PartType == "PlayerHeart")then
		--Look through the move list and the values of the levels of the moves
		--Initializing them here will allow us to get the "current" values
		--My initial reservations were that this would lead to issues if a move was removed, but I can just find the corresponding level and shift it
		local MoveLevels = {M.HeartLevelMove1, M.HeartLevelMove2, M.HeartLevelMove3, M.HeartLevelMove4};
		local ReturnedUpgrades = {};
		--For each move in the moveset
		for Count = 1, #M.HeartMoveset do
			--check what move it is, and if its level isn't the max level
			if(M.HeartMoveset[Count][1] == "Hypertensive Crisis" and MoveLevels[Count] < #HypertensiveCrisisMods)then
				--assign the values
				table.insert(ReturnedUpgrades, "Hypertensive Crisis [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.HeartMoveset[Count][1] == "Palpitate" and MoveLevels[Count] < #PalpitateMods)then
				table.insert(ReturnedUpgrades, "Palpitate [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.HeartMoveset[Count][1] == "Tachycardia" and MoveLevels[Count] < #TachycardiaMods)then
				table.insert(ReturnedUpgrades, "Tachycardia [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.HeartMoveset[Count][1] == "Heart Burn" and MoveLevels[Count] < #HeartBurnMods)then
				table.insert(ReturnedUpgrades, "Heart Burn [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.HeartMoveset[Count][1] == "Martyrdom" and MoveLevels[Count] < #MartyrdomMods)then
				table.insert(ReturnedUpgrades, "Martyrdom [Lv."..(MoveLevels[Count]+1).."]");

			elseif(M.HeartMoveset[Count][1] == "Hypertrophy" and MoveLevels[Count] < #HypertrophyMods)then
				table.insert(ReturnedUpgrades, "Hypertrophy [Lv."..(MoveLevels[Count]+1).."]");

			end
		end
		--Then roll to see if you got a new move added
		if(math.random(100) > 75 and #M.HeartMoveset ~= 4)then
			local NewMoveTable = ClearMovelistOfActions(M.HeartMoveset, AllHeartMoveSelection[M.SelectedHeart]);
			table.insert(ReturnedUpgrades, NewMoveTable[math.random(#NewMoveTable)].." [Lv.1]");
		end
		--Then loop through the remainder so you also get general upgrades
		for Count = 1, (6-#ReturnedUpgrades)do
			print("Remainder")
			--Ideas:
			--[[
			Full Body Ideas
			On Level Up: +15 HP + 10 Max HP


			Hypertensive Crisis, Heart burn: 20% to gain regeneration, 10 HP (2)
			--]]
		end

		return ReturnedUpgrades;

	end
end

function DisplayMoveAsSelectedMM(Character, LootList)
	if(Character == "PlayerHead")then
		local Allbuttons = {"HeadAction1", "HeadAction2", "HeadAction3", "HeadAction4", "HeadAction5", "HeadAction6"}
		for Count = 1, #Allbuttons do
			if(TableHasEntry(LootList, gui.get_flipbook(gui.get_node(Allbuttons[Count]))) ~= false)then
				gui.play_flipbook(gui.get_node(Allbuttons[Count].."Cover"), "ActionIconHighlight");
				gui.animate(gui.get_node(Allbuttons[Count]), "color", vmath.vector4(255/255, 255/255, 255/255, 1), gui.EASING_LINEAR, 0.5);
				gui.animate(gui.get_node(Allbuttons[Count].."Cover"), "color", vmath.vector4(255/255, 255/255, 255/255, 1), gui.EASING_LINEAR, 0.5);
			else
				gui.play_flipbook(gui.get_node(Allbuttons[Count].."Cover"), hash("IconFrameOpenFrame4"))
				gui.animate(gui.get_node(Allbuttons[Count]), "color", vmath.vector4(180/255, 255/255, 255/255, 1), gui.EASING_LINEAR, 0.5);
				gui.animate(gui.get_node(Allbuttons[Count].."Cover"), "color", vmath.vector4(180/255, 255/255, 255/255, 1), gui.EASING_LINEAR, 0.5);
			end
		end
	elseif(Character == "PlayerLimbs")then
		local Allbuttons = {"LimbsAction1", "LimbsAction2", "LimbsAction3", "LimbsAction4", "LimbsAction5", "LimbsAction6"}
		for Count = 1, #Allbuttons do
			if(TableHasEntry(LootList, gui.get_flipbook(gui.get_node(Allbuttons[Count]))) ~= false)then
				gui.play_flipbook(gui.get_node(Allbuttons[Count].."Cover"), "ActionIconHighlight");
				gui.animate(gui.get_node(Allbuttons[Count]), "color", vmath.vector4(255/255, 255/255, 255/255, 1), gui.EASING_LINEAR, 0.5);
				gui.animate(gui.get_node(Allbuttons[Count].."Cover"), "color", vmath.vector4(255/255, 255/255, 255/255, 1), gui.EASING_LINEAR, 0.5);
			else
				gui.play_flipbook(gui.get_node(Allbuttons[Count].."Cover"), hash("IconFrameOpenFrame4"))
				gui.animate(gui.get_node(Allbuttons[Count]), "color", vmath.vector4(180/255, 255/255, 255/255, 1), gui.EASING_LINEAR, 0.5);
				gui.animate(gui.get_node(Allbuttons[Count].."Cover"), "color", vmath.vector4(180/255, 255/255, 255/255, 1), gui.EASING_LINEAR, 0.5);
			end
		end
	elseif(Character == "PlayerHeart")then
		local Allbuttons = {"HeartAction1", "HeartAction2", "HeartAction3", "HeartAction4", "HeartAction5", "HeartAction6"}
		for Count = 1, #Allbuttons do
			if(TableHasEntry(LootList, gui.get_flipbook(gui.get_node(Allbuttons[Count]))) ~= false)then
				gui.play_flipbook(gui.get_node(Allbuttons[Count].."Cover"), "ActionIconHighlight");
				gui.animate(gui.get_node(Allbuttons[Count]), "color", vmath.vector4(255/255, 255/255, 255/255, 1), gui.EASING_LINEAR, 0.5);
				gui.animate(gui.get_node(Allbuttons[Count].."Cover"), "color", vmath.vector4(255/255, 255/255, 255/255, 1), gui.EASING_LINEAR, 0.5);
			else
				gui.play_flipbook(gui.get_node(Allbuttons[Count].."Cover"), hash("IconFrameOpenFrame4"))
				gui.animate(gui.get_node(Allbuttons[Count]), "color", vmath.vector4(180/255, 255/255, 255/255, 1), gui.EASING_LINEAR, 0.5);
				gui.animate(gui.get_node(Allbuttons[Count].."Cover"), "color", vmath.vector4(180/255, 255/255, 255/255, 1), gui.EASING_LINEAR, 0.5);
			end
		end
	end


end

function SelectUnselectMoveMM(Character, NodeName, LootList, LootNum)
	if(Character == "PlayerHead" and LootNum ~= 1)then
		if(TableHasEntry(LootList, gui.get_flipbook(gui.get_node(NodeName))) == false)then
			table.remove(M.HeadLoot, 2);
			table.insert(M.HeadLoot, gui.get_flipbook(gui.get_node(NodeName)));
			table.remove(M.HeadMoveset, 2)
			table.insert(M.HeadMoveset, AllHeadMoveSelection[CurrentHead][LootNum]);
			sys.save(SaveFileName, M);

			if(CurrentLootButton == "HeadLootSelect")then
				GenerateLootDisplay("PlayerNode1");
			end
		end
	elseif(Character == "PlayerLimbs" and LootNum ~= 1)then
		if(TableHasEntry(LootList, gui.get_flipbook(gui.get_node(NodeName))) == false)then
			table.remove(M.LimbsLoot, 2);
			table.insert(M.LimbsLoot, gui.get_flipbook(gui.get_node(NodeName)));
			table.remove(M.LimbsMoveset, 2)
			table.insert(M.LimbsMoveset, AllLimbsMoveSelection[CurrentLimbs][LootNum]);
			sys.save(SaveFileName, M);

			if(CurrentLootButton == "LimbsLootSelect")then
				GenerateLootDisplay("PlayerNode2");
			end
		end

	elseif(Character == "PlayerHeart" and LootNum ~= 1)then
		if(TableHasEntry(LootList, gui.get_flipbook(gui.get_node(NodeName))) == false)then
			table.remove(M.HeartLoot, 2);
			table.insert(M.HeartLoot, gui.get_flipbook(gui.get_node(NodeName)));
			table.remove(M.HeartMoveset, 2)
			table.insert(M.HeartMoveset, AllHeartMoveSelection[CurrentHeart][LootNum]);
			sys.save(SaveFileName, M);

			if(CurrentLootButton == "HeartLootSelect")then
				GenerateLootDisplay("PlayerNode3");
			end
		end

	end
	--Here we see more slowdown, and even a sort of soft freeze issue
	DisplayMoveAsSelectedMM(Character, LootList);

end

function ClearMovelistOfActions(Movelist, CompleteMovelist)
	local NewMovelist = {};
	for Transfer = 1, #CompleteMovelist do
		table.insert(NewMovelist, CompleteMovelist[Transfer][1]);
	end
	for Count = 1, #Movelist do
		if(TableHasEntry(NewMovelist, Movelist[Count][1]) ~= false)then
			table.remove(NewMovelist, TableHasEntry(NewMovelist, Movelist[Count][1]));
		end
	end
	return NewMovelist;
end
